package com.ruoyi.common.utils;

import java.lang.reflect.Field;

public class ClassReflection {

    /**
     * @param class1 from 用于赋值的实体类
     * @param class2 to 需要待赋值的实体类
     *               描述：反射实体类赋值
     */
    public static void reflectionAttr(Object class1, Object class2) throws Exception {
        Class clazz1 = class1.getClass();
        Class clazz2 = class2.getClass();
        // 获取两个实体类的所有属性
        Field[] fields1 = clazz1.getDeclaredFields();
        Field[] fields2 = clazz2.getDeclaredFields();
        // 遍历class1Bean，获取逐个属性值，然后遍历class2Bean查找是否有相同的属性，如有相同则赋值
        for (Field f1 : fields1) {
            if (f1.getName().equals("serialVersionUID"))
                continue;
            //设置访问权限
            f1.setAccessible(true);
            Object value = f1.get(class1);
            for (Field f2 : fields2) {
                //字段名称相同、字段类型相同，进行赋值
                if (f1.getName().equals(f2.getName())
                        && f1.getType().getName().equals(f2.getType().getName())) {
                    //设置访问权限
                    f2.setAccessible(true);
                    f2.set(class2, value);
                }
            }
        }
    }
}
