package com.ruoyi.common.utils.sign;

import com.alibaba.fastjson.JSON;
import org.apache.commons.codec.binary.Base64;
import javax.crypto.Cipher;
import java.security.*;
import java.security.interfaces.RSAPrivateKey;
import java.security.interfaces.RSAPublicKey;
import java.security.spec.PKCS8EncodedKeySpec;
import java.security.spec.X509EncodedKeySpec;

/**
 * RSA加密解密
 *
 * @author ruoyi
 **/
public class RsaUtils
{
    // Rsa 私钥
    public static String privateKey = "MIICdQIBADANBgkqhkiG9w0BAQEFAASCAl8wgg" +
            "JbAgEAAoGBAI+Y8TJB3brb1fa43o7mI70KAlR8auS72k5HrrCafeacYCrvM2tLyAJTf4" +
            "VjIya1cYzbUNE7bydT7Tl5vsuh5ynGqVUXeU93EZ28Dib4XcXxcSGBgF7b4okTMwS7tRC" +
            "3TbX67fyd4qiTyNj54QitMAYOhq/8y/gv7X3oQi2GY9eTAgMBAAECgYATQ5lX/K4aW1Og" +
            "/bwdv5Ib0jPt0aMlfG4VAljVKGSrg18DY4OqaUgzx6/b3SjiEIVjOCjnaOnIhOHWTBbkipv" +
            "QMyOPGUzeqEKqjbFa8MN7lYDVBCwH0CCsXFuiyAHA5pI8OuNH+Iy9b3VXRhlaJTQkE1c" +
            "qJ4pmqOL11LCj20XRgQJBANdruVNus2YFDir48JpmiS71+W0WxfJkxm8EEohLd7T8aLAF" +
            "Rc51OXm3G5bDqNIFP5ygqYKW8mVncNUP3t/FeWkCQQCqparD7QcRtZe1ily9hEWVKY32G" +
            "ZVMAqNH8IsiveUrsH4Phhj/vdtL1mCTx+DyRygPvKKVj7A07fqu2CTXQQ2bAkAiMC2EaUA" +
            "9g7Xg6gs9ZeKFunHwdznJI2c+vTW3vcpsxdZTgTK39nC9uWq+faTwV/blg7YDTLOBlm4" +
            "Y0mD7wJppAkAu+HC7gyeZ+Ujr4EzMoXbhqtF3du1AQc2dxJkXk/tbfjYEod2Jr0GIa1" +
            "aj9rV1Gp7tTffWgPl4aDTDIZ1qXm6XAkBgWBcbvTrE2bpUYsTXxtZ7eWxTCMdmJxZ3n" +
            "4xs0p0RqpU6n8BNJyY3wtJEesRoKLshKFt/NDMsxqVoqICpXxXs";

    /**
     * 私钥解密
     *
     * @param text 待解密的文本
     * @return 解密后的文本
     */
    public static String decryptByPrivateKey(String text) throws Exception
    {
        return decryptByPrivateKey(privateKey, text);
    }

    /**
     * 公钥解密
     *
     * @param publicKeyString 公钥
     * @param text 待解密的信息
     * @return 解密后的文本
     */
    public static String decryptByPublicKey(String publicKeyString, String text) throws Exception
    {
        X509EncodedKeySpec x509EncodedKeySpec = new X509EncodedKeySpec(Base64.decodeBase64(publicKeyString));
        KeyFactory keyFactory = KeyFactory.getInstance("RSA");
        PublicKey publicKey = keyFactory.generatePublic(x509EncodedKeySpec);
        Cipher cipher = Cipher.getInstance("RSA");
        cipher.init(Cipher.DECRYPT_MODE, publicKey);
        byte[] result = cipher.doFinal(Base64.decodeBase64(text));
        return new String(result);
    }

    /**
     * 私钥加密
     *
     * @param privateKeyString 私钥
     * @param text 待加密的信息
     * @return 加密后的文本
     */
    public static String encryptByPrivateKey(String privateKeyString, String text) throws Exception
    {
        PKCS8EncodedKeySpec pkcs8EncodedKeySpec = new PKCS8EncodedKeySpec(Base64.decodeBase64(privateKeyString));
        KeyFactory keyFactory = KeyFactory.getInstance("RSA");
        PrivateKey privateKey = keyFactory.generatePrivate(pkcs8EncodedKeySpec);
        Cipher cipher = Cipher.getInstance("RSA");
        cipher.init(Cipher.ENCRYPT_MODE, privateKey);
        byte[] result = cipher.doFinal(text.getBytes());
        return Base64.encodeBase64String(result);
    }

    /**
     * 私钥解密
     *
     * @param privateKeyString 私钥
     * @param text 待解密的文本
     * @return 解密后的文本
     */
    public static String decryptByPrivateKey(String privateKeyString, String text) throws Exception
    {
        PKCS8EncodedKeySpec pkcs8EncodedKeySpec5 = new PKCS8EncodedKeySpec(Base64.decodeBase64(privateKeyString));
        KeyFactory keyFactory = KeyFactory.getInstance("RSA");
        PrivateKey privateKey = keyFactory.generatePrivate(pkcs8EncodedKeySpec5);
        Cipher cipher = Cipher.getInstance("RSA");
        cipher.init(Cipher.DECRYPT_MODE, privateKey);
        byte[] result = cipher.doFinal(Base64.decodeBase64(text));
        return new String(result);
    }

    /**
     * 公钥加密
     *
     * @param publicKeyString 公钥
     * @param text 待加密的文本
     * @return 加密后的文本
     */
    public static String encryptByPublicKey(String publicKeyString, String text) throws Exception
    {
        X509EncodedKeySpec x509EncodedKeySpec2 = new X509EncodedKeySpec(Base64.decodeBase64(publicKeyString));
        KeyFactory keyFactory = KeyFactory.getInstance("RSA");
        PublicKey publicKey = keyFactory.generatePublic(x509EncodedKeySpec2);
        Cipher cipher = Cipher.getInstance("RSA");
        cipher.init(Cipher.ENCRYPT_MODE, publicKey);
        byte[] result = cipher.doFinal(text.getBytes());
        return Base64.encodeBase64String(result);
    }

    /**
     * 构建RSA密钥对
     *
     * @return 生成后的公私钥信息
     */
    public static RsaKeyPair generateKeyPair() throws NoSuchAlgorithmException
    {
        KeyPairGenerator keyPairGenerator = KeyPairGenerator.getInstance("RSA");
        keyPairGenerator.initialize(1024);
        KeyPair keyPair = keyPairGenerator.generateKeyPair();
        RSAPublicKey rsaPublicKey = (RSAPublicKey) keyPair.getPublic();
        RSAPrivateKey rsaPrivateKey = (RSAPrivateKey) keyPair.getPrivate();
        String publicKeyString = Base64.encodeBase64String(rsaPublicKey.getEncoded());
        String privateKeyString = Base64.encodeBase64String(rsaPrivateKey.getEncoded());
        return new RsaKeyPair(publicKeyString, privateKeyString);
    }

    public static void main(String[] args) throws NoSuchAlgorithmException {
        System.out.println(JSON.toJSONString(generateKeyPair()));
    }


    /**
     * RSA密钥对对象
     */
    public static class RsaKeyPair
    {
        private final String publicKey;
        private final String privateKey;

        public RsaKeyPair(String publicKey, String privateKey)
        {
            this.publicKey = publicKey;
            this.privateKey = privateKey;
        }

        public String getPublicKey()
        {
            return publicKey;
        }

        public String getPrivateKey()
        {
            return privateKey;
        }
    }
}
