package com.ruoyi.swlscx.basic.controller;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.ruoyi.common.core.page.R;
import com.ruoyi.swlscx.basic.domain.po.YcExportTask;
import com.ruoyi.swlscx.basic.domain.vo.HyStscAVo;
import com.ruoyi.swlscx.basic.service.YcExportTaskService;
import com.ruoyi.swlscx.common.PageParams;
import com.ruoyi.swlscx.basic.service.HyStscAService;
import lombok.RequiredArgsConstructor;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.web.bind.annotation.*;

import javax.servlet.http.HttpServletResponse;
import java.util.Map;

/**
 * @Author al
 * @Date 2024/8/4 14:36
 * @Description: TODO
 * @Version
 */
@RestController
@RequestMapping("/basic")
@RequiredArgsConstructor
public class BaseInfoController {

    private final HyStscAService hyStscAService;

    private final YcExportTaskService ycExportTaskService;

    /**
     * 查询站点信息
     */
    @GetMapping("/getStationPageByInfo")
    public R getStationPageByInfo(Integer pageNum,Integer pageSize, String stnm,String stcd, String startTime, String endTime) {
        PageParams pageParams = new PageParams(pageNum.longValue(), pageSize.longValue());
        IPage<HyStscAVo> stationPageByInfo = hyStscAService.getStationPageByInfo(pageParams, stnm, stcd, startTime, endTime);
        return R.ok().put("data", stationPageByInfo.getRecords()).put("count", stationPageByInfo.getTotal());
    }

    /**
     * 查询列表
     */
    @RequestMapping("/cgtask/list")
    public R list(@RequestParam Map<String, Object> params){
        return ycExportTaskService.queryPage(params);
    }

    @RequestMapping("/downloadExcel/{id}")
    public void batchDownload(HttpServletResponse response, @PathVariable("id") Long id){
        YcExportTask t = ycExportTaskService.getById(id);
        ycExportTaskService.downloadExcel(response,t);
    }

    @DeleteMapping("/cgtask/delete/{id}")
    public R delete(@PathVariable("id")Integer id){
       return ycExportTaskService.removeTask(id);
    }



    @PostMapping("/importDateToSoft")
    public R importDateToSoft(String startTime, String endTime){
        return hyStscAService.importDateTosoft(startTime,endTime);
    }

}
