package com.ruoyi.swlscx.common.listener;

import com.alibaba.excel.context.AnalysisContext;
import com.alibaba.excel.event.AnalysisEventListener;
import lombok.extern.slf4j.Slf4j;

import java.util.ArrayList;
import java.util.List;

/**
 * @Author al
 * @Date 2024/7/23 14:49
 * @Description: TODO
 * @Version
 */
@Slf4j
public class ExcelListener<T> extends AnalysisEventListener<T> {

    // 可以通过实例获取该值
    private List<T> data = new ArrayList<>();

    /**
     * 读取excel内容
     * 从excel中的第二行开始读取，把每行数据数据都读出来然后封装到T对象中
     * 每解析一行数据就会调用一次该方法
     *
     * @param t
     * @param analysisContext
     */
    @Override
    public void invoke(T t, AnalysisContext analysisContext) {
//        log.info("data:{}", t);
        // 数据存储到list，供批量处理，或后续自己业务逻辑处理。
        data.add(t);
    }

    /**
     * 所有操作都完成之后才会执行本方法
     *
     * @param analysisContext
     */
    @Override
    public void doAfterAllAnalysed(AnalysisContext analysisContext) {
        // excel解析完毕以后需要执行的代码
//        log.info("This is doAfterAllAnalysed!!!!");
    }


    public List<T> getData() {
        return data;
    }
}