package com.ruoyi.swlscx.common.utils;

import com.ruoyi.common.core.text.Convert;
import com.ruoyi.swlscx.common.PageParams;
import org.apache.commons.lang3.StringUtils;

import java.math.BigDecimal;
import java.util.HashMap;
import java.util.Map;

/**
 * @Author al
 * @Date 2024/9/21 14:54
 * @Description: TODO
 * @Version
 */
public class CommonUtils {

    public static Map<String, Object> getYearAndDayDataMap(PageParams pageParams, String startTime, String endTime, String stcd, String stnm) {
        Map<String, Object> map = new HashMap<>();
        map.put("startTime", startTime);
        map.put("endTime", endTime);
        map.put("stnm", stnm);
        map.put("stcd", stcd);
        map.put("page", Convert.toStr(pageParams.getPageNum()));
        map.put("limit", Convert.toStr(pageParams.getPageSize()));
        return map;
    }

    public static Map<String, Object> getMonthDataMap(PageParams pageParams, String startTime, String endTime, String stcd, String stnm) {
        String startYear = "";
        String endYear = "";
        if (StringUtils.isNotBlank(startTime)) {
            startYear = startTime.length() > 4 ? startTime.substring(0, 4) : startTime;
        }
        if (StringUtils.isNotBlank(endTime)) {
            endYear = endTime.length() > 4 ? endTime.substring(0, 4) : endTime;
        }
        Map<String, Object> map = new HashMap<>();
        map.put("startYear", Convert.toInt(startYear));
        map.put("startTime", startTime);
        map.put("endYear", Convert.toInt(endYear));
        map.put("endTme", endTime);
        map.put("stnm", stnm);
        map.put("stcd", stcd);
        map.put("page", Convert.toStr(pageParams.getPageNum()));
        map.put("limit", Convert.toStr(pageParams.getPageSize()));
        return map;
    }



    public static String formatNum(BigDecimal number) {
        if (number == null) {
            return "";
        }
        return String.format("%.2f", number).replaceAll("0*$", "").replaceAll("\\.$", "");
    }

    public static String formatNum(Double number) {
        if (number == null) {
            return "";
        }
        return String.format("%.2f", number).replaceAll("0*$", "").replaceAll("\\.$", "");
    }

}
