package com.ruoyi.swlscx.day.controller;

import com.ruoyi.common.core.page.R;
import com.ruoyi.swlscx.day.service.*;
import lombok.RequiredArgsConstructor;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletResponse;

/**
 * @Author al
 * @Date 2024/10/18 13:47
 * @Description: TODO
 * @Version
 */
@RequestMapping("/report")
@RequiredArgsConstructor
@RestController
public class DayExportController {

    private final HyDpCService hyDpCService;

    private final HyDweCService hyDweCService;

    private final HyDqCService hyDqCService;

    private final HyDzCService hyDzCService;

    private final HyDcsFService hyDcsFService;

    private final HyDwtCService hyDwtCService;



    /**
     * 导出日降雨量表数据
     */
    @PostMapping("/dayRain")
    public R exportRainList(HttpServletResponse response,
                            @RequestParam String startTime,
                            @RequestParam String endTime,
                            @RequestParam String stcd,
                            @RequestParam String stnm) {
      return   hyDpCService.exportHyDpCData(response, startTime, endTime, stcd, stnm);
    }


    /**
     * 导出日水面蒸发表数据
     */
    @PostMapping("/evaporationWater")
    public R exportEvaporationWater(HttpServletResponse response,
                                       @RequestParam String startTime,
                                       @RequestParam String endTime,
                                       @RequestParam String stcd,
                                       @RequestParam String stnm) {
      return   hyDweCService.exportHyDweCData(response, startTime, endTime, stcd, stnm);
    }

    /**
     * 导出日流量表数据
     */
    @PostMapping("/dayFlow")
    public R exportDayFlow(HttpServletResponse response,
                                       @RequestParam String startTime,
                                       @RequestParam String endTime,
                                       @RequestParam String stcd,
                                       @RequestParam String stnm) {
      return hyDqCService.exportDayFlow(response, startTime, endTime, stcd, stnm);
    }

    /**
     * 导出日平均水位表数据
     */
    @PostMapping("/dayWaterLever")
    public R exportDayWaterLever(HttpServletResponse response,
                              @RequestParam String startTime,
                              @RequestParam String endTime,
                              @RequestParam String stcd,
                              @RequestParam String stnm) {
        return  hyDzCService.exportDayWaterLever(response, startTime, endTime, stcd, stnm);
    }

    /**
     * 导出日平均含沙量表表数据
     */
    @PostMapping("/daySedimentConcentration")
    public R exportDaySedimentConcentration(HttpServletResponse response,
                                    @RequestParam String startTime,
                                    @RequestParam String endTime,
                                    @RequestParam String stcd,
                                    @RequestParam String stnm) {
        return hyDcsFService.exportDaySedimentConcentration(response, startTime, endTime, stcd, stnm);
    }

    /**
     * 导出日水温表
     */
    @PostMapping("/dayWaterTemperature")
    public R exportDayWaterTemperature(HttpServletResponse response,
                                               @RequestParam String startTime,
                                               @RequestParam String endTime,
                                               @RequestParam String stcd,
                                               @RequestParam String stnm) {
       return hyDwtCService.exportDayWaterTemperature(response, startTime, endTime, stcd, stnm);
    }


}
