package com.ruoyi.swlscx.day.controller;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.ruoyi.common.core.page.R;
import com.ruoyi.swlscx.common.PageParams;
import com.ruoyi.swlscx.day.domain.vo.HyDcsFVo;
import com.ruoyi.swlscx.day.domain.vo.HyDpCVo;
import com.ruoyi.swlscx.day.domain.vo.HyDqCVo;
import com.ruoyi.swlscx.day.domain.vo.HyDzCVo;
import com.ruoyi.swlscx.day.service.*;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.*;

/**
 * @Author al
 * @Date 2025/1/5 16:11
 * @Description: TODO
 * @Version
 */
@RestController
@RequestMapping("/day/import")
@RequiredArgsConstructor
@Slf4j
public class DayImportToSoftController {



    private final HyDpCService hyDpCService;

    private final HyDweCService hyDweCService;

    private final HyDqCService hyDqCService;

    private final HyDzCService hyDzCService;

    private final HyDcsFService hyDcsFService;

    private final HyDwtCService hyDwtCService;


    /**
     * 导入日水面蒸发表数据
     */
    @PostMapping("/importHyDweCDateToSoft")
    public R importHyDweCDateToSoft(@RequestParam("startTime") String startTime,
                                     @RequestParam("endTime") String endTime){
        return hyDweCService.importDateTosoft(startTime,endTime);
    }


    /**
     * 导入日水温表数据
     */
    @PostMapping("/importHyDwtCDateToSoft")
    public R importHyDwtCDateToSoft(@RequestParam("startTime") String startTime,
                                    @RequestParam("endTime") String endTime){
        return hyDwtCService.importDateTosoft(startTime,endTime);
    }


    /**
     * 导入日降雨量表数据
     */
    @PostMapping("/importRainListDateToSoft")
    public R getRainList(@RequestParam("startTime") String startTime,
                         @RequestParam("endTime") String endTime) {
        return hyDpCService.importDateTosoft(startTime, endTime);
    }

    /**
     * 导入日流量表数据
     */
    @PostMapping("/importDayFlowDateToSoft")
    public R importDayFlowDateToSoft(@RequestParam("startTime") String startTime,
                                     @RequestParam("endTime") String endTime) {
        return hyDqCService.importDateTosoft(startTime, endTime);
    }

    /**导入日水位表数据**/
    @PostMapping("/importWaterLeverDateToSoft")
    public R importWaterLeverDateToSoft( String startTime, String endTime) {
        return hyDzCService.importDateTosoft(startTime, endTime);
    }


    /**导入日平均含沙量表表数据**/
    @PostMapping("/importDaySedimentConcentrationDateToSoft")
    public R importDaySedimentConcentrationDateToSoft( String startTime, String endTime) {
        return hyDcsFService.importDateTosoft(startTime, endTime);
    }

}
