package com.ruoyi.swlscx.day.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.ruoyi.common.core.page.R;
import com.ruoyi.swlscx.common.PageParams;
import com.ruoyi.swlscx.day.domain.po.HyDpC;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.swlscx.day.domain.vo.HyDpCVo;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletResponse;

/**
* @author 12974
* @description 针对表【hy_dp_c(日降水表)】的数据库操作Service
* @createDate 2024-10-15 17:40:46
*/
public interface HyDpCService extends IService<HyDpC> {


    /**
     * 导入日降水表数据
     */
    void importHyDpCData(MultipartFile file);

    /**
     * 查询日降水表数据
     */
    IPage<HyDpCVo> selectHyDpCDataByPageAndInfo(PageParams pageParams, String startTime, String endTime, String stcd, String stnm);

    /**
     * 导出日降雨量表数据
     */
    R exportHyDpCData(HttpServletResponse response,String startTime, String endTime, String stcd, String stnm);

    R importDateTosoft(String startTime, String endTime);
}
