package com.ruoyi.swlscx.day.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.ruoyi.common.core.page.R;
import com.ruoyi.swlscx.common.PageParams;
import com.ruoyi.swlscx.day.domain.po.HyDqC;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.swlscx.day.domain.vo.HyDqCVo;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletResponse;

/**
* @author 12974
* @description 针对表【hy_dq_c(日平均流量表)】的数据库操作Service
* @createDate 2024-10-16 15:40:17
*/
public interface HyDqCService extends IService<HyDqC> {
    /**
     * 导入日平均流量表数据
     */
    void importHyDqCData(MultipartFile file);

    /**
     * 查询日流量表数据
     */
    IPage<HyDqCVo> selectHyDqCDataByPageAndInfo(PageParams pageParams, String startTime, String endTime, String stcd, String stnm);

    /**
     * 导出查询日流量表数据
     */
    R exportDayFlow(HttpServletResponse response, String startTime, String endTime, String stcd, String stnm);

    R importDateTosoft(String startTime, String endTime);
}
