package com.ruoyi.swlscx.day.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.ruoyi.common.core.page.R;
import com.ruoyi.swlscx.common.PageParams;
import com.ruoyi.swlscx.day.domain.po.HyDweC;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.swlscx.day.domain.vo.HyDweCVo;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletResponse;

/**
* @author 12974
* @description 针对表【hy_dwe_c(日水面蒸发量表)】的数据库操作Service
* @createDate 2024-10-16 17:24:19
*/
public interface HyDweCService extends IService<HyDweC> {
    /**
     * 导入日水面蒸发量表数据
     */
    void importHyDweCData(MultipartFile file);

    /**
     * 查询日水面蒸发表数据
     */
    IPage<HyDweCVo> selectHyDweCDataByPageAndInfo(PageParams pageParams, String startTime, String endTime, String stcd, String stnm);

    /**
     * 导出日水面蒸发表数据
     */
    R exportHyDweCData(HttpServletResponse response, String startTime, String endTime, String stcd, String stnm);

    R importDateTosoft(String startTime, String endTime);
}
