package com.ruoyi.swlscx.day.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.ruoyi.common.core.page.R;
import com.ruoyi.swlscx.common.PageParams;
import com.ruoyi.swlscx.day.domain.po.HyDwtC;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.swlscx.day.domain.vo.HyDwtCVo;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletResponse;

/**
* @author 12974
* @description 针对表【hy_dwt_c(日水温表)】的数据库操作Service
* @createDate 2024-10-17 15:07:12
*/
public interface HyDwtCService extends IService<HyDwtC> {


    /**
     * 导入日水温表数据
     */
    void importHyDwtCData(MultipartFile file);

    /**
     * 查询日水温表数据
     */
    IPage<HyDwtCVo> selectHyDwtCPageByInfo(PageParams pageParams, String startTime, String endTime, String stnm, String stcd);

    /**
     * 导出日平均水位表数据
     */
    R exportDayWaterTemperature(HttpServletResponse response, String startTime, String endTime, String stcd, String stnm);

    R importDateTosoft(String startTime, String endTime);
}
