package com.ruoyi.swlscx.day.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.ruoyi.common.core.page.R;
import com.ruoyi.swlscx.common.PageParams;
import com.ruoyi.swlscx.day.domain.po.HyDzC;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.swlscx.day.domain.vo.HyDzCVo;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletResponse;

/**
* @author 12974
* @description 针对表【hy_dz_c(日平均水位表)】的数据库操作Service
* @createDate 2024-10-16 16:46:04
*/
public interface HyDzCService extends IService<HyDzC> {


    /**
     * 导入日平均水位表数据
     */
    void importHyDzCData(MultipartFile file);


    /**
     * 分页查询日平均水位表数据
     */
    IPage<HyDzCVo> selectHyDzCPageByInfo(PageParams pageParams, String startTime, String endTime, String stnm, String stcd);

    /**
     * 导出日平均水位表数据
     */
    R exportDayWaterLever(HttpServletResponse response, String startTime, String endTime, String stcd, String stnm);

    R importDateTosoft(String startTime, String endTime);
}
