package com.ruoyi.swlscx.day.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.common.core.text.Convert;
import com.ruoyi.common.utils.DateUtils;
import com.ruoyi.swlscx.common.utils.ExcelUtils;
import com.ruoyi.swlscx.day.domain.bo.HyDqsCBo;
import com.ruoyi.swlscx.day.domain.po.HyDqsC;
import com.ruoyi.swlscx.day.service.HyDqsCService;
import com.ruoyi.swlscx.day.mapper.HyDqsCMapper;
import org.springframework.beans.BeanUtils;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;
import java.util.stream.Collectors;

/**
* @author 12974
* @description 针对表【hy_dqs_c(日平均输沙率表)】的数据库操作Service实现
* @createDate 2024-10-16 16:29:38
*/
@Service
public class HyDqsCServiceImpl extends ServiceImpl<HyDqsCMapper, HyDqsC>
    implements HyDqsCService{

    /**
     * 导入日平均输沙率表数据
     */
    @Override
    @Transactional(rollbackFor = Exception.class)
    public void importHyDqsCData(MultipartFile file) {
        try {
            List<HyDqsCBo> hyDqsCBos = ExcelUtils.readExcel(file.getInputStream(), HyDqsCBo.class, 2);
            List<HyDqsC> hyMtpEList = hyDqsCBos.stream().map(i -> {
                HyDqsC hyDqsC = new HyDqsC();
                BeanUtils.copyProperties(i, hyDqsC);
                hyDqsC.setDt(DateUtils.parseDate(i.getDt()));
                hyDqsC.setAvqs(Convert.toBigDecimal(i.getAvqs()));
                return hyDqsC;
            }).collect(Collectors.toList());
            this.saveBatch(hyMtpEList, 10000);
        } catch (Exception e) {
            e.printStackTrace();
        }
    }
}




