package com.ruoyi.swlscx.excerpt.controller;

import com.ruoyi.common.core.page.R;
import com.ruoyi.swlscx.excerpt.service.*;
import lombok.RequiredArgsConstructor;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletResponse;

/**
 * @Author al
 * @Date 2024/10/18 9:19
 * @Description: TODO
 * @Version
 */
@RequestMapping("/report")
@RequiredArgsConstructor
@RestController
public class ExcerptExportController {

    private final HyFdheexBService hyFdheexBService;

    private final HyPrexBService hyPrexBService;

    private final HyRvfhexBService hyRvfhexBService;

    private final HyWsfhexBService hyWsfhexBService;

    private final HyHltdzBService hyHltdzBService;

    /**
     * 导出洪水水文要素摘录表
     */
    @PostMapping("/floodExcerpt")
    public R exportFloodExcerpt(HttpServletResponse response,
                                @RequestParam String startTime,
                                @RequestParam String endTime,
                                @RequestParam String stcd,
                                @RequestParam String stnm) {
        return hyFdheexBService.exportFloodExcerpt(response, startTime, endTime, stnm, stcd);
    }


    /**
     * 导出降雨量摘录表
     */
    @PostMapping("/rainExcerpt")
    public R exportRainExcerpt(HttpServletResponse response,
                                  @RequestParam String startTime,
                                  @RequestParam String endTime,
                                  @RequestParam String stcd,
                                  @RequestParam String stnm) {
      return   hyPrexBService.exportRainExcerpt(response, startTime, endTime, stnm, stcd);
    }

    /**
     * 导出水库洪水水文要素摘录表
     */
    @PostMapping("/rsverFloodExcerpt")
    public R exportRsverFloodExcerpt(HttpServletResponse response,
                                        @RequestParam String startTime,
                                        @RequestParam String endTime,
                                        @RequestParam String stcd,
                                        @RequestParam String stnm) {
      return   hyRvfhexBService.exportRsverFloodExcerpt(response, startTime, endTime, stnm, stcd);
    }

    /**
     * 导出水闸洪水水文要素摘录表
     */
    @PostMapping("/szFloodExcerpt")
    public R exportSzFloodExcerpt(HttpServletResponse response,
                                     @RequestParam String startTime,
                                     @RequestParam String endTime,
                                     @RequestParam String stcd,
                                     @RequestParam String stnm) {
       return hyWsfhexBService.exportSzFloodExcerpt(response, startTime, endTime, stnm, stcd);
    }


    /**
     * 导出逐潮高低潮位表
     */
    @PostMapping("/followingTheTideExcerpt")
    public R exportFollowingTheTideExcerpt(HttpServletResponse response,
                                              @RequestParam String startTime,
                                              @RequestParam String endTime,
                                              @RequestParam String stcd,
                                              @RequestParam String stnm) {
        return hyHltdzBService.exportFollowingTheTideExcerpt(response, startTime, endTime, stnm, stcd);
    }

}
