package com.ruoyi.swlscx.excerpt.controller;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.ruoyi.common.core.page.R;
import com.ruoyi.swlscx.common.PageParams;
import com.ruoyi.swlscx.excerpt.domain.vo.HyFdheexBVo;
import com.ruoyi.swlscx.excerpt.domain.vo.HyHltdzBVo;
import com.ruoyi.swlscx.excerpt.domain.vo.HyRvfhexBVo;
import com.ruoyi.swlscx.excerpt.domain.vo.HyWsfhexBVo;
import com.ruoyi.swlscx.excerpt.service.*;
import lombok.RequiredArgsConstructor;
import org.springframework.web.bind.annotation.*;

import javax.servlet.http.HttpServletResponse;

/**
 * @Author al
 * @Date 2024/10/18 9:19
 * @Description: TODO
 * @Version
 */
@RequestMapping("/excerpt")
@RequiredArgsConstructor
@RestController
public class ExcerptImportController {

    private final HyFdheexBService hyFdheexBService;

    private final HyPrexBService hyPrexBService;

    private final HyRvfhexBService hyRvfhexBService;

    private final HyWsfhexBService hyWsfhexBService;

    private final HyHltdzBService hyHltdzBService;


    /**
     *导入洪水水文要素摘录表
     */
    @PostMapping("/importFloodExcerpt")
    public R importFloodExcerpt(String startTime, String endTime){
        return hyFdheexBService.importDateTosoft(startTime, endTime);
    }

    /**
     *导入降雨量摘录表
     */
    @PostMapping("/importRainExcerpt")
    public R importRainExcerpt(String startTime, String endTime){
        return hyPrexBService.importDateTosoft(startTime, endTime);
    }



    /**
     *导入水库洪水水文要素摘录表
     */
    @PostMapping("/importRsverFloodExcerpt")
    public R importRsverFloodExcerpt(String startTime, String endTime){
        return hyRvfhexBService.importDateTosoft(startTime, endTime);
    }

    /**
     *导入水闸洪水水文要素摘录表
     */
    @PostMapping("/importSzFloodExcerpt")
    public R importSzFloodExcerpt(String startTime, String endTime){
        return hyWsfhexBService.importDateTosoft(startTime, endTime);
    }

    /**
     *查询逐潮高低潮位表
     */
    @PostMapping("/importFollowingTheTideExcerpt")
    public R importFollowingTheTideExcerpt(String startTime, String endTime){
        return hyHltdzBService.importDateTosoft(startTime, endTime);
    }
}
