package com.ruoyi.swlscx.excerpt.controller;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.ruoyi.common.core.page.R;
import com.ruoyi.swlscx.common.PageParams;
import com.ruoyi.swlscx.excerpt.domain.vo.*;
import com.ruoyi.swlscx.excerpt.service.*;
import lombok.RequiredArgsConstructor;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

/**
 * @Author al
 * @Date 2024/10/18 9:19
 * @Description: TODO
 * @Version
 */
@RequestMapping("/excerpt")
@RequiredArgsConstructor
@RestController
public class ExcerptTableController {

    private final HyFdheexBService hyFdheexBService;

    private final HyPrexBService hyPrexBService;

    private final HyRvfhexBService hyRvfhexBService;

    private final HyWsfhexBService hyWsfhexBService;

    private final HyHltdzBService hyHltdzBService;

    /**
     *查询洪水水文要素摘录表
     */
    @GetMapping("/getFloodExcerpt")
    public R getFloodExcerpt(@RequestParam("pageNum") Integer pageNum,
                             @RequestParam("pageSize") Integer pageSize,
                             @RequestParam("startTime") String startTime,
                             @RequestParam("endTime") String endTime,
                             @RequestParam("stcd") String stcd,
                             @RequestParam("stnm") String stnm){
        PageParams pageParams = new PageParams(pageNum.longValue(), pageSize.longValue());
        IPage<HyFdheexBVo> hyFdheexBVoIPage = hyFdheexBService.selectHyFdheexBPageByInfo(pageParams, startTime, endTime, stnm, stcd);
        return R.ok().put("data", hyFdheexBVoIPage.getRecords()).put("count", hyFdheexBVoIPage.getTotal());
    }

    /**
     *查询降雨量摘录表
     */
    @GetMapping("/getRainExcerpt")
    public R getRainExcerpt(@RequestParam("pageNum") Integer pageNum,
                             @RequestParam("pageSize") Integer pageSize,
                             @RequestParam("startTime") String startTime,
                             @RequestParam("endTime") String endTime,
                             @RequestParam("stcd") String stcd,
                             @RequestParam("stnm") String stnm){
        PageParams pageParams = new PageParams(pageNum.longValue(), pageSize.longValue());
        IPage<HyPrexBVo> hyPrexBVoIPage = hyPrexBService.selectHyPrexBPageByInfo(pageParams, startTime, endTime, stnm, stcd);
        return R.ok().put("data", hyPrexBVoIPage.getRecords()).put("count", hyPrexBVoIPage.getTotal());
    }

    /**
     *查询水库洪水水文要素摘录表
     */
    @GetMapping("/getRsverFloodExcerpt")
    public R getRsverFloodExcerpt(@RequestParam("pageNum") Integer pageNum,
                            @RequestParam("pageSize") Integer pageSize,
                            @RequestParam("startTime") String startTime,
                            @RequestParam("endTime") String endTime,
                            @RequestParam("stcd") String stcd,
                            @RequestParam("stnm") String stnm){
        PageParams pageParams = new PageParams(pageNum.longValue(), pageSize.longValue());
        IPage<HyRvfhexBVo> hyRvfhexBVoIPage = hyRvfhexBService.selectHyRvfhexBPageByInfo(pageParams, startTime, endTime, stnm, stcd);
        return R.ok().put("data", hyRvfhexBVoIPage.getRecords()).put("count", hyRvfhexBVoIPage.getTotal());
    }

    /**
     *查询水闸洪水水文要素摘录表
     */
    @GetMapping("/getSzFloodExcerpt")
    public R getSzFloodExcerpt(@RequestParam("pageNum") Integer pageNum,
                                  @RequestParam("pageSize") Integer pageSize,
                                  @RequestParam("startTime") String startTime,
                                  @RequestParam("endTime") String endTime,
                                  @RequestParam("stcd") String stcd,
                                  @RequestParam("stnm") String stnm){
        PageParams pageParams = new PageParams(pageNum.longValue(), pageSize.longValue());
        IPage<HyWsfhexBVo> hyWsfhexBVoIPage = hyWsfhexBService.selectHyWsfhexBPageByInfo(pageParams, startTime, endTime, stnm, stcd);
        return R.ok().put("data", hyWsfhexBVoIPage.getRecords()).put("count", hyWsfhexBVoIPage.getTotal());
    }

    /**
     *查询逐潮高低潮位表
     */
    @GetMapping("/getFollowingTheTideExcerpt")
    public R getFollowingTheTideExcerpt(@RequestParam("pageNum") Integer pageNum,
                               @RequestParam("pageSize") Integer pageSize,
                               @RequestParam("startTime") String startTime,
                               @RequestParam("endTime") String endTime,
                               @RequestParam("stcd") String stcd,
                               @RequestParam("stnm") String stnm){
        PageParams pageParams = new PageParams(pageNum.longValue(), pageSize.longValue());
        IPage<HyHltdzBVo> hyHltdzBVoIPage = hyHltdzBService.selectHyHltdzBPageByInfo(pageParams, startTime, endTime, stnm, stcd);
        return R.ok().put("data", hyHltdzBVoIPage.getRecords()).put("count", hyHltdzBVoIPage.getTotal());
    }


}
