package com.ruoyi.swlscx.excerpt.domain.po;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import lombok.Data;

/**
 * 水闸洪水水文要素摘录表
 * @TableName hy_wsfhex_b
 */
@TableName(value ="hy_wsfhex_b")
@Data
public class HyWsfhexB implements Serializable {
    /**
     * 站码
     */
    private String stcd;

    /**
     * 时间
     */
    private Date tm;

    /**
     * 闸上水位
     */
    private BigDecimal upz;

    /**
     * 闸上水位注解码
     */
    private String upzrcd;

    /**
     * 闸下水位
     */
    private BigDecimal dwz;

    /**
     * 闸下水位注解码
     */
    private String dwzrcd;

    /**
     * 流量
     */
    private BigDecimal q;

    /**
     * 含沙量
     */
    private BigDecimal s;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}