package com.ruoyi.swlscx.excerpt.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.ruoyi.common.core.page.R;
import com.ruoyi.swlscx.common.PageParams;
import com.ruoyi.swlscx.excerpt.domain.po.HyPrexB;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.swlscx.excerpt.domain.vo.HyPrexBVo;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletResponse;

/**
* @author 12974
* @description 针对表【hy_prex_b(降水量摘录表)】的数据库操作Service
* @createDate 2024-10-17 09:17:42
*/
public interface HyPrexBService extends IService<HyPrexB> {


    /**
     * 导入降水量摘录表数据
     */
    void importHyPrexBData(MultipartFile file);

    /**
     * 查询降雨量摘录表
     */
    IPage<HyPrexBVo> selectHyPrexBPageByInfo(PageParams pageParams, String startTime, String endTime, String stnm, String stcd);

    /**
     * 导出降雨量摘录表
     */
    R exportRainExcerpt(HttpServletResponse response, String startTime, String endTime, String stnm, String stcd);

    R importDateTosoft(String startTime, String endTime);
}
