package com.ruoyi.swlscx.month.controller;

import com.ruoyi.common.core.page.R;
import com.ruoyi.swlscx.month.service.*;
import lombok.RequiredArgsConstructor;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletResponse;

/**
 * @Author al
 * @Date 2024/8/7 14:10
 * @Description: TODO
 * @Version
 */

@RequestMapping("/report")
@RequiredArgsConstructor
@RestController
public class MonthExportController {

    private final HyMtpEService hyMtpEService;

    private final HyMtweEService hyMtweEService;

    private final HyMtwtEService hyMtwtEService;

    private final HyMtqsEService hyMtqsEService;

    private final HyMtqEService hyMtqEService;

    private final HyMtzEService hyMtzEService;

    private final HyMtcsEService hyMtcsEService;

    private final HyMttdzEService hyMttdzEService;

    /**
     * 导出月降水表数据
     */
    @RequestMapping("/monthRain")
    public R exportMonthRainList(HttpServletResponse response,
                                 @RequestParam String startTime,
                                 @RequestParam String endTime,
                                 @RequestParam String stcd,
                                 @RequestParam String stnm) {
        return hyMtpEService.exportHyMtpData(response, startTime, endTime, stcd, stnm);
    }

    /**
     * 导出月水面蒸发量表
     */
    @RequestMapping("/monthEvaporationWater")
    public R exportMonthEvaporationWaterList(HttpServletResponse response,
                                                @RequestParam String startTime,
                                                @RequestParam String endTime,
                                                @RequestParam String stcd,
                                                @RequestParam String stnm) {
        return hyMtweEService.exportMonthEvaporationWaterList(response, startTime, endTime, stcd, stnm);
    }

    /**
     * 导出月水温表
     */
    @RequestMapping("/monthWaterTemperature")
    public R exportMonthWaterTemperatureList(HttpServletResponse response,
                                                @RequestParam String startTime,
                                                @RequestParam String endTime,
                                                @RequestParam String stcd,
                                                @RequestParam String stnm) {
        return  hyMtwtEService.exportMonthWaterTemperatureList(response, startTime, endTime, stcd, stnm);
    }

    /**
     * 导出月输沙率表
     */
    @RequestMapping("/monthSedimentDischarge")
    public R exportMonthSedimentDischargeList(HttpServletResponse response,
                                                 @RequestParam String startTime,
                                                 @RequestParam String endTime,
                                                 @RequestParam String stcd,
                                                 @RequestParam String stnm) {
        return  hyMtqsEService.exportMonthSedimentDischargeList(response, startTime, endTime, stcd, stnm);
    }

    /**
     * 导出月流量表
     */
    @RequestMapping("/monthFlow")
    public R exportMonthFlowList(HttpServletResponse response,
                                    @RequestParam String startTime,
                                    @RequestParam String endTime,
                                    @RequestParam String stcd,
                                    @RequestParam String stnm) {
        return hyMtqEService.exportMonthFlowList(response, startTime, endTime, stcd, stnm);
    }

    /**
     * 导出月水位表
     */
    @RequestMapping("/monthWaterLever")
    public R exportMonthWaterLeverList(HttpServletResponse response,
                                          @RequestParam String startTime,
                                          @RequestParam String endTime,
                                          @RequestParam String stcd,
                                          @RequestParam String stnm) {
        return hyMtzEService.exportMonthWaterLeverList(response, startTime, endTime, stcd, stnm);
    }

    /**
     * 导出月含沙量表
     */
    @RequestMapping("/monthSedimentConcentration")
    public R exportMonthSedimentContentList(HttpServletResponse response,
                                               @RequestParam String startTime,
                                               @RequestParam String endTime,
                                               @RequestParam String stcd,
                                               @RequestParam String stnm) {
        return hyMtcsEService.exportMonthSedimentContentList(response, startTime, endTime, stcd, stnm);
    }

    /**
     * 导出月潮位表
     */
    @RequestMapping("/monthTideLever")
    public R exportMonthTideLeverList(HttpServletResponse response,
                                         @RequestParam String startTime,
                                         @RequestParam String endTime,
                                         @RequestParam String stcd,
                                         @RequestParam String stnm) {
       return hyMttdzEService.exportMonthTideLeverList(response, startTime, endTime, stcd, stnm);
    }

}
