package com.ruoyi.swlscx.month.controller;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.ruoyi.common.core.page.R;
import com.ruoyi.swlscx.common.PageParams;
import com.ruoyi.swlscx.month.domain.vo.*;
import com.ruoyi.swlscx.month.service.*;
import lombok.RequiredArgsConstructor;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @Author al
 * @Date 2024/7/31 13:34
 * @Description: TODO
 * @Version
 */

@RestController
@RequestMapping("/month")
@RequiredArgsConstructor
public class MonthTableController {

    private final com.ruoyi.swlscx.month.service.HyMtpEService HyMtpEService;

    private final HyMtzEService hyMtzEService;

    private final HyMtqEService hyMtqEService;

    private final HyMttdzEService hyMttdzEService;

    private final HyMtweEService hyMtweEService;

    private final HyMtcsEService hyMtcsEService;

    private  final HyMtqsEService hyMtqsEService;

    private final HyMtwtEService hyMtwtEService;

    /**
     * 查询月降水表数据
     */
    @GetMapping("/getMonthRainList")
    public R getMonthRainList(Integer pageNum,Integer pageSize, String startTime, String endTime,String stcd,String stnm) {
        PageParams pageParams = new PageParams(pageNum.longValue(), pageSize.longValue());
        IPage<HyMptEVo> hyMptEVoIPage = HyMtpEService.selectHyMtpDataByPageAndInfo(pageParams, startTime, endTime, stcd, stnm);
        return R.ok().put("data", hyMptEVoIPage.getRecords()).put("count", hyMptEVoIPage.getTotal());
    }


    /**查询月水位表数据**/
    @GetMapping("/getWaterLeverList")
    public R getWaterLeverList(Integer pageNum,Integer pageSize, String stcdIds, String startTime, String endTime,String stnm,String stcd) {
        PageParams pageParams = new PageParams(pageNum.longValue(), pageSize.longValue());
        IPage<HyMtzEVo> hyMtzEVoIPage = hyMtzEService.selectHyMtzEPageByInfo(pageParams, stcdIds, startTime, endTime, stnm, stcd);
        return R.ok().put("data", hyMtzEVoIPage.getRecords()).put("count", hyMtzEVoIPage.getTotal());
    }

    /**查询月流量表数据**/
    @GetMapping("/getFlowList")
    public R getFlowList(Integer pageNum,Integer pageSize, String stcdIds, String startTime, String endTime,String stcd,String stnm) {
        PageParams pageParams = new PageParams(pageNum.longValue(), pageSize.longValue());
        IPage<HyMtqEVo> hyMtqEVoIPage = hyMtqEService.selectHyMtqEListPageByInfo(pageParams, stcdIds, startTime, endTime, stcd, stnm);
        return R.ok().put("data", hyMtqEVoIPage.getRecords()).put("count", hyMtqEVoIPage.getTotal());
    }

    /**查询月潮位表数据**/
    @GetMapping("/getTideLeverList")
    public R getTideLeverList(Integer pageNum,Integer pageSize, String stcdIds, String startTime, String endTime,String stcd,String stnm) {
        PageParams pageParams = new PageParams(pageNum.longValue(), pageSize.longValue());
        return hyMttdzEService.selectHyMttdzEListPageByInfo(pageParams, stcdIds, startTime, endTime,stcd,stnm);
    }

    /**查询月水面蒸发表数据**/
    @RequestMapping("/getEvaporationWaterList")
    public R getEvaporationWaterList(Integer pageNum,Integer pageSize, String stcdIds, String startTime, String endTime,String stcd,String stnm) {
        PageParams pageParams = new PageParams(pageNum.longValue(), pageSize.longValue());
        IPage<HyMtweEVo> hyMtweEVoIPage = hyMtweEService.selectHyMtweEListPageByInfo(pageParams, stcdIds, startTime, endTime, stcd, stnm);
        return R.ok().put("data", hyMtweEVoIPage.getRecords()).put("count", hyMtweEVoIPage.getTotal());
    }

    /**查询月含沙量数据**/
    @RequestMapping("/getSedimentConcentrationList")
    public R getSedimentConcentrationList(Integer pageNum,Integer pageSize, String stcdIds, String startTime, String endTime,String stcd,String stnm) {
        PageParams pageParams = new PageParams(pageNum.longValue(), pageSize.longValue());
        IPage<HyMtcsEVo> hyMtcsEVoIPage = hyMtcsEService.selectHyMtcsEByPageAndInfo(pageParams, stcdIds, startTime, endTime, stcd, stnm);
        return R.ok().put("data",hyMtcsEVoIPage.getRecords()).put("count",hyMtcsEVoIPage.getTotal());
    }


    /**查询月输沙率表数据**/
    @RequestMapping("/getSedimentTransportRateList")
    public R getSedimentTransportRateList(Integer pageNum,Integer pageSize, String stcdIds, String startTime, String endTime,String stcd,String stnm) {
        PageParams pageParams = new PageParams(pageNum.longValue(), pageSize.longValue());
        IPage<HyMtqsEVo> hyMtqsEVoIPage = hyMtqsEService.selectHyMtqsEDataByPageAndInfo(pageParams, stcdIds, startTime, endTime, stcd, stnm);
        return R.ok().put("data",hyMtqsEVoIPage.getRecords()).put("count",hyMtqsEVoIPage.getTotal());
    }

    /**
     * 查询月水温表数据
     */
    @RequestMapping("/getWaterTemperatureList")
    public R getWaterTemperatureList(Integer pageNum,Integer pageSize, String stcdIds, String startTime, String endTime,String stcd,String stnm) {
        PageParams pageParams = new PageParams(pageNum.longValue(), pageSize.longValue());
        IPage<HyMtwtEVo> hyMtwtEVoIPage = hyMtwtEService.selectHyMtweEDataByPageAndInfo(pageParams, stcdIds, startTime, endTime, stcd, stnm);
        return R.ok().put("data", hyMtwtEVoIPage.getRecords()).put("count", hyMtwtEVoIPage.getTotal());
    }

}
