package com.ruoyi.swlscx.month.controller;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.ruoyi.common.core.page.R;
import com.ruoyi.swlscx.common.PageParams;
import com.ruoyi.swlscx.month.domain.vo.*;
import com.ruoyi.swlscx.month.service.*;
import com.ruoyi.swlscx.year.service.*;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.security.core.parameters.P;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @Author al
 * @Date 2025/1/5 16:11
 * @Description: TODO
 * @Version
 */
@RestController
@RequestMapping("/month/import")
@RequiredArgsConstructor
@Slf4j
public class MonthToSoftController {

    private final com.ruoyi.swlscx.month.service.HyMtpEService HyMtpEService;

    private final HyMtzEService hyMtzEService;

    private final HyMtqEService hyMtqEService;

    private final HyMttdzEService hyMttdzEService;

    private final HyMtweEService hyMtweEService;

    private final HyMtcsEService hyMtcsEService;

    private  final HyMtqsEService hyMtqsEService;

    private final HyMtwtEService hyMtwtEService;

    /**
     * 导入月降水表数据
     */
    @PostMapping("/importMonthRainList")
    public R importMonthRainList(String startTime, String endTime) {
       return HyMtpEService.importDateTosoft(startTime, endTime);
    }

    /**导入月水面蒸发表数据**/
    @RequestMapping("/importEvaporationWaterList")
    public R importEvaporationWaterList(String startTime, String endTime) {
       return hyMtweEService.importDateTosoft(startTime, endTime);
    }

    /**导入月水位表数据**/
    @PostMapping("/importWaterLeverList")
    public R getWaterLeverList(String startTime, String endTime) {
       return hyMtzEService.importDateTosoft(startTime, endTime);
    }
    /**导入月含沙量数据**/
    @RequestMapping("/importSedimentConcentrationList")
    public R importSedimentConcentrationList(String startTime, String endTime) {
        return hyMtcsEService.importDateTosoft(startTime, endTime);
    }


    /**导入月流量表数据**/
    @RequestMapping("/importFlowList")
    public R getFlowList(String startTime, String endTime) {
       return hyMtqEService.importDateTosoft(startTime, endTime);
    }

    /**
     * 导入月水温表数据
     */
    @RequestMapping("/importWaterTemperatureList")
    public R importWaterTemperatureList(String startTime, String endTime) {
       return hyMtwtEService.importDateTosoft(startTime, endTime);

    }


    /**查询月输沙率表数据**/
    @RequestMapping("/importSedimentTransportRateList")
    public R importSedimentTransportRateList(String startTime, String endTime) {
        return hyMtqsEService.importDateTosoft(startTime, endTime);
    }

}
