package com.ruoyi.swlscx.month.domain.bo;

import com.alibaba.excel.annotation.ExcelProperty;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 月含沙量表
 * @TableName hy_mtcs_e
 */
@Data
public class HyMtcsEBo implements Serializable {
    /**
     * 站码
     */
    @ExcelProperty(value = "站码",index = 1)
    private String stcd;

    /**
     * 年
     */
    @ExcelProperty(value = "年",index = 5)
    private String yr;

    /**
     * 月
     */
    @ExcelProperty(value = "月",index = 6)
    private String mth;

    /**
     * 平均含沙量(千克每立方米)
     */
    @ExcelProperty(value = "平均含沙量",index = 7)
    private String avcs;

    /**
     * 平均含沙量注解码
     */
    @ExcelProperty(value = "平均含沙量注解码",index = 8)
    private String avcsrcd;

    /**
     * 最大含沙量(千克每立方米)
     */
    @ExcelProperty(value = "最大含沙量",index = 9)
    private String mxs;

    /**
     * 最大含沙量注解码
     */
    @ExcelProperty(value = "最大含沙量注解码",index = 10)
    private String mxsrcd;

    /**
     * 最大含沙量日期
     */
    @ExcelProperty(value = "最大含沙量日期",index = 11)
    private String mxsdt;

    /**
     * 最小含沙量(千克每立方米)
     */
    @ExcelProperty(value = "最小含沙量",index = 12)
    private String mns;

    /**
     * 最小含沙量注解码
     */
    @ExcelProperty(value = "最小含沙量注解码",index = 13)
    private String mnsrcd;

    /**
     * 最小含沙量日期
     */
    @ExcelProperty(value = "最小含沙量日期",index = 14)
    private String mnsdt;

    private static final long serialVersionUID = 1L;
}