package com.ruoyi.swlscx.month.domain.bo;

import com.alibaba.excel.annotation.ExcelProperty;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 月水面蒸发量表
 * @TableName hy_mtwe_e
 */
@Data
public class HyMtweEBo implements Serializable {
    /**
     * 站码
     */
    @ExcelProperty(value = "站码",index = 1)
    private String stcd;

    /**
     * 蒸发器型式
     */
    @ExcelProperty(value = "蒸发器型式",index = 5)
    private String eetp;

    /**
     * 年
     */
    @ExcelProperty(value = "年",index = 6)
    private String yr;

    /**
     * 月
     */
    @ExcelProperty(value = "月",index = 7)
    private String mth;

    /**
     * 水面蒸发量(毫米)
     */
    @ExcelProperty(value = "水面蒸发量",index = 8)
    private String wsfe;

    /**
     * 水面蒸发量注解码
     */
    @ExcelProperty(value = "水面蒸发量注解码",index = 9)
    private String wsfercd;

    /**
     * 最大日水面蒸发量
     */
    @ExcelProperty(value = "最大日水面蒸发量",index = 10)
    private String mxdye;

    /**
     * 最大日水面蒸发量注解码
     */
    @ExcelProperty(value = "最大日水面蒸发量注解码",index = 11)
    private String mxdyercd;

    /**
     * 最小日水面蒸发量
     */
    @ExcelProperty(value = "最小日水面蒸发量",index = 12)
    private String mndye;

    /**
     * 最小日水面蒸发量注解码
     */
    @ExcelProperty(value = "最小日水面蒸发量注解码",index = 13)
    private String mndyercd;

    private static final long serialVersionUID = 1L;
}