package com.ruoyi.swlscx.month.domain.bo;

import com.alibaba.excel.annotation.ExcelProperty;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 月水温表字段定义
 * @TableName hy_mtwt_e
 */
@Data
public class HyMtwtEBo implements Serializable {
    /**
     * 站码
     */
    @ExcelProperty(value = "站码",index = 1)
    private String stcd;

    /**
     * 年
     */
    @ExcelProperty(value = "年",index = 5)
    private String yr;

    /**
     * 月
     */
    @ExcelProperty(value = "月",index = 6)
    private String mth;

    /**
     * 平均水温(摄氏度)
     */
    @ExcelProperty(value = "平均水温",index = 7)
    private String avwtmp;

    /**
     * 平均水温注解码
     */
    @ExcelProperty(value = "平均水温注解码",index = 8)
    private String avwtmprcd;

    /**
     * 最高水温(摄氏度)
     */
    @ExcelProperty(value = "最高水温",index = 9)
    private String mxwtmp;

    /**
     * 最高水温注解码
     */
    @ExcelProperty(value = "最高水温注解码",index = 10)
    private String mxwtmprcd;

    /**
     * 最高水温日期
     */
    @ExcelProperty(value = "最高水温日期",index = 11)
    private String mxwtmpdt;

    /**
     * 最低水温(摄氏度)
     */
    @ExcelProperty(value = "最低水温",index = 12)
    private String mnwtmp;

    /**
     * 最低水温注解码
     */
    @ExcelProperty(value = "最低水温注解码",index = 13)
    private String mnwtmprcd;

    /**
     * 最低水温日期
     */
    @ExcelProperty(value = "最低水温日期",index = 14)
    private String mnwtmpdt;

    private static final long serialVersionUID = 1L;
}