package com.ruoyi.swlscx.month.domain.po;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import lombok.Data;

/**
 * 月含沙量表
 * @TableName hy_mtcs_e
 */
@TableName(value ="hy_mtcs_e")
@Data
public class HyMtcsE implements Serializable {
    /**
     * 站码
     */
    private String stcd;

    /**
     * 年
     */
    private Integer yr;

    /**
     * 月
     */
    private Integer mth;

    /**
     * 平均含沙量(千克每立方米)
     */
    private BigDecimal avcs;

    /**
     * 平均含沙量注解码
     */
    private String avcsrcd;

    /**
     * 最大含沙量(千克每立方米)
     */
    private BigDecimal mxs;

    /**
     * 最大含沙量注解码
     */
    private String mxsrcd;

    /**
     * 最大含沙量日期
     */
    private Date mxsdt;

    /**
     * 最小含沙量(千克每立方米)
     */
    private BigDecimal mns;

    /**
     * 最小含沙量注解码
     */
    private String mnsrcd;

    /**
     * 最小含沙量日期
     */
    private Date mnsdt;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}