package com.ruoyi.swlscx.month.domain.po;


import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 月降水表
 * @TableName hy_mtp_e
 */
@TableName(value ="hy_mtp_e")
public class HyMtpE implements Serializable {
    /**
     * 站码
     */
    private String stcd;

    /**
     * 年
     */
    private Integer yr;

    /**
     * 月
     */
    private Integer mth;

    /**
     * 降水量(毫米)
     */
    private BigDecimal p;

    /**
     * 降水量注解码
     */
    private String prcd;

    /**
     * 降水日数
     */
    private String pdynum;

    /**
     * 降水日数注解码
     */
    private String pdynumrcd;

    /**
     * 最大降水量(毫米)
     */
    private BigDecimal mxdyp;

    /**
     * 最大降水量注解码
     */
    private String mxdyprcd;

    /**
     * 最大日降水量出现日期
     */
    private Date mxdypodt;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;

    /**
     * 站码
     */
    public String getStcd() {
        return stcd;
    }

    /**
     * 站码
     */
    public void setStcd(String stcd) {
        this.stcd = stcd;
    }

    /**
     * 年
     */
    public Integer getYr() {
        return yr;
    }

    /**
     * 年
     */
    public void setYr(Integer yr) {
        this.yr = yr;
    }

    /**
     * 月
     */
    public Integer getMth() {
        return mth;
    }

    /**
     * 月
     */
    public void setMth(Integer mth) {
        this.mth = mth;
    }

    /**
     * 降水量(毫米)
     */
    public BigDecimal getP() {
        return p;
    }

    /**
     * 降水量(毫米)
     */
    public void setP(BigDecimal p) {
        this.p = p;
    }

    /**
     * 降水量注解码
     */
    public String getPrcd() {
        return prcd;
    }

    /**
     * 降水量注解码
     */
    public void setPrcd(String prcd) {
        this.prcd = prcd;
    }

    /**
     * 降水日数
     */
    public String getPdynum() {
        return pdynum;
    }

    /**
     * 降水日数
     */
    public void setPdynum(String pdynum) {
        this.pdynum = pdynum;
    }

    /**
     * 降水日数注解码
     */
    public String getPdynumrcd() {
        return pdynumrcd;
    }

    /**
     * 降水日数注解码
     */
    public void setPdynumrcd(String pdynumrcd) {
        this.pdynumrcd = pdynumrcd;
    }

    /**
     * 最大降水量(毫米)
     */
    public BigDecimal getMxdyp() {
        return mxdyp;
    }

    /**
     * 最大降水量(毫米)
     */
    public void setMxdyp(BigDecimal mxdyp) {
        this.mxdyp = mxdyp;
    }

    /**
     * 最大降水量注解码
     */
    public String getMxdyprcd() {
        return mxdyprcd;
    }

    /**
     * 最大降水量注解码
     */
    public void setMxdyprcd(String mxdyprcd) {
        this.mxdyprcd = mxdyprcd;
    }

    /**
     * 最大日降水量出现日期
     */
    public Date getMxdypodt() {
        return mxdypodt;
    }

    /**
     * 最大日降水量出现日期
     */
    public void setMxdypodt(Date mxdypodt) {
        this.mxdypodt = mxdypodt;
    }

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        HyMtpE other = (HyMtpE) that;
        return (this.getStcd() == null ? other.getStcd() == null : this.getStcd().equals(other.getStcd()))
            && (this.getYr() == null ? other.getYr() == null : this.getYr().equals(other.getYr()))
            && (this.getMth() == null ? other.getMth() == null : this.getMth().equals(other.getMth()))
            && (this.getP() == null ? other.getP() == null : this.getP().equals(other.getP()))
            && (this.getPrcd() == null ? other.getPrcd() == null : this.getPrcd().equals(other.getPrcd()))
            && (this.getPdynum() == null ? other.getPdynum() == null : this.getPdynum().equals(other.getPdynum()))
            && (this.getPdynumrcd() == null ? other.getPdynumrcd() == null : this.getPdynumrcd().equals(other.getPdynumrcd()))
            && (this.getMxdyp() == null ? other.getMxdyp() == null : this.getMxdyp().equals(other.getMxdyp()))
            && (this.getMxdyprcd() == null ? other.getMxdyprcd() == null : this.getMxdyprcd().equals(other.getMxdyprcd()))
            && (this.getMxdypodt() == null ? other.getMxdypodt() == null : this.getMxdypodt().equals(other.getMxdypodt()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getStcd() == null) ? 0 : getStcd().hashCode());
        result = prime * result + ((getYr() == null) ? 0 : getYr().hashCode());
        result = prime * result + ((getMth() == null) ? 0 : getMth().hashCode());
        result = prime * result + ((getP() == null) ? 0 : getP().hashCode());
        result = prime * result + ((getPrcd() == null) ? 0 : getPrcd().hashCode());
        result = prime * result + ((getPdynum() == null) ? 0 : getPdynum().hashCode());
        result = prime * result + ((getPdynumrcd() == null) ? 0 : getPdynumrcd().hashCode());
        result = prime * result + ((getMxdyp() == null) ? 0 : getMxdyp().hashCode());
        result = prime * result + ((getMxdyprcd() == null) ? 0 : getMxdyprcd().hashCode());
        result = prime * result + ((getMxdypodt() == null) ? 0 : getMxdypodt().hashCode());
        return result;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", stcd=").append(stcd);
        sb.append(", yr=").append(yr);
        sb.append(", mth=").append(mth);
        sb.append(", p=").append(p);
        sb.append(", prcd=").append(prcd);
        sb.append(", pdynum=").append(pdynum);
        sb.append(", pdynumrcd=").append(pdynumrcd);
        sb.append(", mxdyp=").append(mxdyp);
        sb.append(", mxdyprcd=").append(mxdyprcd);
        sb.append(", mxdypodt=").append(mxdypodt);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}