package com.ruoyi.swlscx.month.domain.po;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.math.BigDecimal;
import lombok.Data;

/**
 * 月水面蒸发量表
 * @TableName hy_mtwe_e
 */
@TableName(value ="hy_mtwe_e")
@Data
public class HyMtweE implements Serializable {
    /**
     * 站码
     */
    private String stcd;

    /**
     * 蒸发器型式
     */
    private String eetp;

    /**
     * 年
     */
    private Integer yr;

    /**
     * 月
     */
    private Integer mth;

    /**
     * 水面蒸发量(毫米)
     */
    private BigDecimal wsfe;

    /**
     * 水面蒸发量注解码
     */
    private String wsfercd;

    /**
     * 最大日水面蒸发量
     */
    private BigDecimal mxdye;

    /**
     * 最大日水面蒸发量注解码
     */
    private String mxdyercd;

    /**
     * 最小日水面蒸发量
     */
    private BigDecimal mndye;

    /**
     * 最小日水面蒸发量注解码
     */
    private String mndyercd;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}