package com.ruoyi.swlscx.month.domain.po;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import lombok.Data;

/**
 * 月水温表字段定义
 * @TableName hy_mtwt_e
 */
@TableName(value ="hy_mtwt_e")
@Data
public class HyMtwtE implements Serializable {
    /**
     * 站码
     */
    private String stcd;

    /**
     * 年
     */
    private Integer yr;

    /**
     * 月
     */
    private Integer mth;

    /**
     * 平均水温(摄氏度)
     */
    private BigDecimal avwtmp;

    /**
     * 平均水温注解码
     */
    private String avwtmprcd;

    /**
     * 最高水温(摄氏度)
     */
    private BigDecimal mxwtmp;

    /**
     * 最高水温注解码
     */
    private String mxwtmprcd;

    /**
     * 最高水温日期
     */
    private Date mxwtmpdt;

    /**
     * 最低水温(摄氏度)
     */
    private BigDecimal mnwtmp;

    /**
     * 最低水温注解码
     */
    private String mnwtmprcd;

    /**
     * 最低水温日期
     */
    private Date mnwtmpdt;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}