package com.ruoyi.swlscx.month.domain.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 月水温表字段定义
 * @TableName hy_mtwt_e
 */
@Data
public class HyMtwtEVo implements Serializable {
    /**
     * 站码
     */
    private String stcd;

    /**
     * 年
     */
    private Integer yr;

    /**
     * 月
     */
    private Integer mth;

    /**
     * 平均水温(摄氏度)
     */
    private BigDecimal avwtmp;

    /**
     * 平均水温注解码
     */
    private String avwtmprcd;

    /**
     * 最高水温(摄氏度)
     */
    private BigDecimal mxwtmp;

    /**
     * 最高水温注解码
     */
    private String mxwtmprcd;

    /**
     * 最高水温日期
     */
    private String mxwtmpdt;

    /**
     * 最低水温(摄氏度)
     */
    private BigDecimal mnwtmp;

    /**
     * 最低水温注解码
     */
    private String mnwtmprcd;

    /**
     * 最低水温日期
     */
    private String mnwtmpdt;



    /**
     * 行政区划码
     */
    private String addvcd;

    /**
     * 流域水系码
     */
    private String lysxm;


    /**站名**/
    private String stnm;

    private static final long serialVersionUID = 1L;
}