package com.ruoyi.swlscx.month.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.common.core.page.R;
import com.ruoyi.swlscx.common.PageParams;
import com.ruoyi.swlscx.month.domain.po.HyMtwtE;
import com.ruoyi.swlscx.month.domain.vo.HyMtwtEVo;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletResponse;

/**
 * @author 12974
 * @description 针对表【hy_mtwt_e(月水温表字段定义)】的数据库操作Service
 * @createDate 2024-08-06 13:42:04
 */
public interface HyMtwtEService extends IService<HyMtwtE> {


    /**
     * 查询月水温表数据
     */
    IPage<HyMtwtEVo> selectHyMtweEDataByPageAndInfo(PageParams pageParams, String stcdIds, String startTime, String endTime, String stcd, String stnm);

    /**
     * 导入月水温表数据
     */
    void importHyMtwtEData(MultipartFile file);

    /**
     * 导出月水温表
     */
    R exportMonthWaterTemperatureList(HttpServletResponse response, String startTime, String endTime, String stcd, String stnm);

    R importDateTosoft(String startTime, String endTime);
}
