package com.ruoyi.swlscx.month.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.common.core.text.Convert;
import com.ruoyi.common.utils.bean.BeanUtils;
import com.ruoyi.swlscx.month.domain.bo.HyMtpddbEBo;
import com.ruoyi.swlscx.month.domain.po.HyMtpddbE;
import com.ruoyi.swlscx.month.mapper.HyMtpddbEMapper;
import com.ruoyi.swlscx.month.service.HyMtpddbEService;
import com.ruoyi.swlscx.common.utils.ExcelUtils;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;
import java.util.stream.Collectors;

/**
* @author 12974
* @description 针对表【hy_mtpddb_e(月平均泥沙颗粒级配表)】的数据库操作Service实现
* @createDate 2024-08-06 13:42:04
*/
@Service
public class HyMtpddbEServiceImpl extends ServiceImpl<HyMtpddbEMapper, HyMtpddbE>
    implements HyMtpddbEService{

    /**
     * 导入月平均泥沙颗粒级配表数据
     */
    @Override
    @Transactional(rollbackFor = Exception.class)
    public void importHyMtpddbEData(MultipartFile file) {
        try {
            List<HyMtpddbEBo> hyMtpddbEBos = ExcelUtils.readExcel(file.getInputStream(), HyMtpddbEBo.class, 2);
            // 获取数据
            List<HyMtpddbE> dataList = hyMtpddbEBos.parallelStream().map(i -> {
                HyMtpddbE hyMtpddbE = new HyMtpddbE();
                BeanUtils.copyProperties(i, hyMtpddbE);
                hyMtpddbE.setAvswpct(Convert.toBigDecimal(i.getAvswpct()));
                hyMtpddbE.setYr(Convert.toInt(i.getYr()));
                hyMtpddbE.setMth(Convert.toInt(i.getMth()));
                hyMtpddbE.setLtpd(Convert.toBigDecimal(i.getLtpd()));
                return hyMtpddbE;
            }).collect(Collectors.toList());
            this.saveBatch(dataList,10000);
        } catch (Exception e) {
            throw new RuntimeException(e);
        }
    }
}




