package com.ruoyi.swlscx.year.controller;

import com.ruoyi.common.core.page.R;
import com.ruoyi.swlscx.basic.domain.po.YcExportTask;
import com.ruoyi.swlscx.basic.service.YcExportTaskService;
import com.ruoyi.swlscx.common.thread.ExportThread;
import com.ruoyi.swlscx.year.service.*;
import lombok.RequiredArgsConstructor;
import org.springframework.web.bind.annotation.*;

import javax.servlet.http.HttpServletResponse;

/**
 * @Author al
 * @Date 2024/8/7 14:10
 * @Description: TODO
 * @Version
 */

@RequestMapping("/report")
@RequiredArgsConstructor
@RestController
public class YearExportController {

    private final HyYrpFService hyYrpFService;

    private final HyHmxpFService hyHmxpFService;

    private final HyDmxpFService hyDmxpFService;

    private final HyMmxpFService hyMmxpFService;

    private final HyYrzFService hyYrzFService;

    private final HyYrweFService hyYrweFService;

    private final HyYrqFService hyYrqFService;

    private final HyYrcsFService hyYrcsFService;

    private final HyImxfwFService hyImxfwFService;

    private final HyYrqsFService hyYrqsFService;

    private final HyYrwtFService hyYrwtFService;

    private final HyYrtdzFService hyYrtdzFService;




    /**
     * 导出年降水表数据
     */
    @RequestMapping("/yearRain")
    public R exportYearRainList(HttpServletResponse response,
                                    @RequestParam String startTime,
                                    @RequestParam String endTime,
                                    @RequestParam String stcd,
                                    @RequestParam String stnm) {
       return hyYrpFService.exportHyYrpFData(response,startTime,endTime,stcd,stnm);
    }





    /**
     * 导出小时时段最大降水量表
     */
    @RequestMapping("/hourMaxRain")
    public R exportHourMaxRainList(HttpServletResponse response,
                                   @RequestParam String startTime,
                                   @RequestParam String endTime,
                                   @RequestParam String stcd,
                                   @RequestParam String stnm) {
       return hyHmxpFService.exportHyHmxpFData(response,startTime,endTime,stcd,stnm);
    }

    /**
     * 导出日时时段最大降水量表
     */
    @RequestMapping("/dayMaxRain")
    public R exportDayMaxRainList(HttpServletResponse response,
                                       @RequestParam String startTime,
                                       @RequestParam String endTime,
                                       @RequestParam String stcd,
                                       @RequestParam String stnm) {
       return hyDmxpFService.exportDayDmxpFData(response,startTime,endTime,stcd,stnm);
    }

    /**
     * 导出分钟时段最大降水量表
     */
    @RequestMapping("/minMaxRain")
    public R exportMinMaxRainList(HttpServletResponse response,
                                      @RequestParam String startTime,
                                      @RequestParam String endTime,
                                      @RequestParam String stcd,
                                      @RequestParam String stnm) {
       return hyMmxpFService.exportMinMaxRainList(response,startTime,endTime,stcd,stnm);
    }

    /**
     * 导出年水位表
     */
    @RequestMapping("/yearWaterLever")
    public R exportYearWaterLeverList(HttpServletResponse response,
                                         @RequestParam String startTime,
                                         @RequestParam String endTime,
                                         @RequestParam String stcd,
                                         @RequestParam String stnm) {
        return hyYrzFService.exportYearWaterLeverList(response,startTime,endTime,stcd,stnm);
    }

    /**
     * 导出年水面蒸发量表
     */
    @RequestMapping("/yearEvaporationWater")
    public R exportYearEvaporationWaterList(HttpServletResponse response,
                                         @RequestParam String startTime,
                                         @RequestParam String endTime,
                                         @RequestParam String stcd,
                                         @RequestParam String stnm) {
      return hyYrweFService.exportYearEvaporationWaterList(response,startTime,endTime,stcd,stnm);
    }

    /**
     * 导出年流量表
     */
    @RequestMapping("/yearFlow")
    public R exportYearFlowList(HttpServletResponse response,
                                         @RequestParam String startTime,
                                         @RequestParam String endTime,
                                         @RequestParam String stcd,
                                         @RequestParam String stnm) {
      return hyYrqFService.exportYearFlowList(response,startTime,endTime,stcd,stnm);
    }

    /**
     * 导出时段最大洪量表
     */
    @RequestMapping("/maxFloodScale")
    public R exportMaxFloodScaleList(HttpServletResponse response,
                                         @RequestParam String startTime,
                                         @RequestParam String endTime,
                                         @RequestParam String stcd,
                                         @RequestParam String stnm) {
        return hyImxfwFService.exportMaxFloodScaleList(response,startTime,endTime,stcd,stnm);
    }

    /**
     * 导出年含沙量表
     */
    @RequestMapping("/sedimentConcentration")
    public R exportSedimentConcentrationList(HttpServletResponse response,
                                         @RequestParam String startTime,
                                         @RequestParam String endTime,
                                         @RequestParam String stcd,
                                         @RequestParam String stnm) {
        return  hyYrcsFService.exportSedimentConcentrationList(response,startTime,endTime,stcd,stnm);
    }

    /**
     * 导出年输沙率表
     */
    @RequestMapping("/sedimentTransportRate")
    public R exportSedimentTransportRateList(HttpServletResponse response,
                                         @RequestParam String startTime,
                                         @RequestParam String endTime,
                                         @RequestParam String stcd,
                                         @RequestParam String stnm) {
        return hyYrqsFService.exportSedimentTransportRateList(response,startTime,endTime,stcd,stnm);
    }

    /**
     * 导出年水温表
     */
    @RequestMapping("/yearWaterTemperature")
    public R exportYearWaterTemperatureList(HttpServletResponse response,
                                         @RequestParam String startTime,
                                         @RequestParam String endTime,
                                         @RequestParam String stcd,
                                         @RequestParam String stnm) {
        return hyYrwtFService.exportYearWaterTemperatureList(response,startTime,endTime,stcd,stnm);
    }

    /**
     * 导出年潮位表
     */
    @RequestMapping("/yearTideLever")
    public R exportYearTideLeverList(HttpServletResponse response,
                                         @RequestParam String startTime,
                                         @RequestParam String endTime,
                                         @RequestParam String stcd,
                                         @RequestParam String stnm) {
       return hyYrtdzFService.exportYearTideLeverList(response,startTime,endTime,stcd,stnm);
    }


}
