package com.ruoyi.swlscx.year.controller;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.ruoyi.common.core.page.R;
import com.ruoyi.swlscx.common.PageParams;
import com.ruoyi.swlscx.day.service.*;
import com.ruoyi.swlscx.year.domain.vo.*;
import com.ruoyi.swlscx.year.service.*;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.*;

/**
 * @Author al
 * @Date 2025/1/5 16:11
 * @Description: TODO
 * @Version
 */
@RestController
@RequestMapping("/year/import")
@RequiredArgsConstructor
@Slf4j
public class YearImportToSoftController {

    private final HyHmxpFService hyHmxpFService;

    private final HyYrpFService hyYrpFService;

    private final HyYrweFService hyYrweFService;

    private final HyYrzFService hyYrzFService;

    private final HyYrqFService hyYrqFService;

    private final HyMmxpFService hyMmxpFService;

    private final HyDmxpFService hyDmxpFService;

    private final HyImxfwFService hyImxfwFService;

    private final HyYrcsFService hyYrcsFService;

    private final HyYrqsFService hyYrqsFService;

    private final HyYrwtFService hyYrwtFService;

    private final HyYrtdzFService hyYrtdzFService;


    /**
     * 导入年降水表数据
     */
    @PostMapping("/importYearRainDateToSoft")
    public R getMonthRainList(String startTime, String endTime) {
        return hyYrpFService.importDateTosoft(startTime,endTime);
    }

    /**
     * 导入分钟时段最大降水量表数据
     */
    @PostMapping("/importMaxMRainDateToSoft")
    public R importMaxMRainDateToSoft(String startTime, String endTime) {
        return hyMmxpFService.importDateTosoft(startTime, endTime);
    }

    /**
     * 导入小时时段最大降水量表数据
     */
    @RequestMapping("/importMaxHRainDateToSoft")
    public R importMaxHRainDateToSoft(String startTime, String endTime) {
        return hyHmxpFService.importDateTosoft(startTime, endTime);
    }

    /**
     * 导入日时时段最大降水量表数据
     */
    @RequestMapping("/importMaxDRainDateToSoft")
    public R importMaxDRainDateToSoft(String startTime, String endTime) {
        return hyDmxpFService.importDateTosoft(startTime,endTime);
    }

    /**导入年水面蒸发表数据**/
    @RequestMapping("/importEvaporationWaterDateToSoft")
    public R importEvaporationWaterDateToSoft(String startTime, String endTime) {
       return hyYrweFService.importDateTosoft(startTime, endTime);
    }

    /**导入年水位表数据**/
    @RequestMapping("/importYearWaterLeverDateToSoft")
    public R importYearWaterLeverDateToSoft(String startTime, String endTime) {
        return hyYrzFService.importDateTosoft(startTime, endTime);
    }

    /**导入年流量表数据**/
    @RequestMapping("/importFlowDateToSoft")
    public R importFlowDateToSoft(String startTime, String endTime) {
        return hyYrqFService.importDateTosoft(startTime, endTime);
    }


    /**
     * 导入年水温表数据
     */
    @RequestMapping("/importYearWaterTemperatureDateToSoft")
    public R importYearWaterTemperatureDateToSoft(String startTime, String endTime) {
        return hyYrwtFService.importDateTosoft(startTime, endTime);
    }

    /**
     * 导入年输沙率表数据
     */
    @RequestMapping("/importYearsedimentTransportRateDateToSoft")
    public R getYearsedimentTransportRateList(String startTime, String endTime) {
      return hyYrqsFService.importDateTosoft(startTime, endTime);
    }


    /**
     * 导入年含沙量表数据
     */
    @RequestMapping("/importYearSedimentConcentrationDateToSoft")
    public R importYearSedimentConcentrationDateToSoft(String startTime, String endTime) {
       return hyYrcsFService.importDateTosoft(startTime, endTime);
    }


    /**
     * 导入时段最大洪量表数据
     */
    @RequestMapping("/importMaxFloodScaleDateToSoft")
    public R importMaxFloodScaleDateToSoft(String startTime, String endTime) {
        return hyImxfwFService.importDateTosoft(startTime, endTime);
    }

    /**
     * 导入年潮位表数据
     */
    @RequestMapping("/importYearTideLeverDateToSoft")
    public R importYearTideLeverDateToSoft(String startTime, String endTime) {
       return hyYrtdzFService.importDateTosoft(startTime, endTime);
    }

}
