package com.ruoyi.swlscx.year.domain.bo;

import com.alibaba.excel.annotation.ExcelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 年含沙量表
 *
 * @TableName hy_yrcs_f
 */
@Data
public class HyYrcsFBo implements Serializable {
    /**
     * 站码
     */
    @ExcelProperty(value = "站码", index = 1)
    private String stcd;

    /**
     * 年
     */
    @ExcelProperty(value = "年", index = 5)
    private String yr;

    /**
     * 平均含沙量(千克每立方米)
     */
    @ExcelProperty(value = "平均含沙量", index = 6)
    private String avcs;

    /**
     * 平均含沙量注解码
     */
    @ExcelProperty(value = "平均含沙量注解码", index = 7)
    private String avcsrcd;

    /**
     * 最大含沙量(千克每立方米)
     */
    @ExcelProperty(value = "最大含沙量", index = 8)
    private String mxs;

    /**
     * 最大含沙量注解码
     */
    @ExcelProperty(value = "最大含沙量注解码", index = 9)
    private String mxsrcd;

    /**
     * 最大含沙量日期
     */
    @ExcelProperty(value = "最大含沙量日期", index = 10)
    private String mxsdt;

    /**
     * 最小含沙量(千克每立方米)
     */
    @ExcelProperty(value = "最小含沙量", index = 11)
    private String mns;

    /**
     * 最小含沙量注解码
     */
    @ExcelProperty(value = "最小含沙量注解码", index = 12)
    private String mnsrcd;

    /**
     * 最小含沙量日期
     */
    @ExcelProperty(value = "最小含沙量日期", index = 13)
    private String mnsdt;

    private static final long serialVersionUID = 1L;
}