package com.ruoyi.swlscx.year.domain.bo;

import com.alibaba.excel.annotation.ExcelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * 年潮位表
 *
 * @TableName hy_yrtdz_f
 */
@Data
public class HyYrtdzFBo implements Serializable {
    /**
     * 站码
     */
    @ExcelProperty(value = "站码", index = 1)
    private String stcd;

    /**
     * 年
     */
    @ExcelProperty(value = "年", index = 5)
    private String yr;

    /**
     * 平均高潮潮位
     */
    @ExcelProperty(value = "平均高潮潮位",index = 6)
    private String avhtdz;

    /**
     * 平均高潮潮位注解码
     */
    @ExcelProperty(value = "平均高潮潮位注解码", index = 7)
    private String avhtdzrcd;

    /**
     * 最高高潮位
     */
    @ExcelProperty(value = "最高高潮位", index = 8)
    private String hthtdz;

    /**
     * 最高高潮位注解码
     */
    @ExcelProperty(value = "最高高潮位注解码", index = 9)
    private String hthtdzrcd;

    /**
     * 最高高潮位出现时间
     */
    @ExcelProperty(value = "最高高潮位出现时间", index = 10)
    private String hthtdzotm;

    /**
     * 最低高潮位
     */
    @ExcelProperty(value = "最低高潮位", index = 11)
    private String lthtdz;

    /**
     * 最低高潮位注解码
     */
    @ExcelProperty(value = "最低高潮位注解码", index = 12)
    private String lthtdzrcd;

    /**
     * 最低高潮位出现时间
     */
    @ExcelProperty(value = "最低高潮位出现时间", index = 13)
    private String lthtdzotm;

    /**
     * 平均低潮潮位
     */
    @ExcelProperty(value = "平均低潮潮位", index = 14)
    private String avltdz;

    /**
     * 平均低潮潮位注解码
     */
    @ExcelProperty(value = "平均低潮潮位注解码", index = 15)
    private String avltdzrcd;

    /**
     * 最高低潮位
     */
    @ExcelProperty(value = "最高低潮位", index = 16)
    private String htltdz;

    /**
     * 最高低潮位注解码
     */
    @ExcelProperty(value = "最高低潮位注解码", index = 17)
    private String htltdzrcd;

    /**
     * 最高低潮潮位出现时间
     */
    @ExcelProperty(value = "最高低潮潮位出现时间", index = 18)
    private String htltdzotm;

    /**
     * 最低低潮位
     */
    @ExcelProperty(value = "最低低潮位", index = 19)
    private String ltltdz;

    /**
     * 最低低潮潮位注解码
     */
    @ExcelProperty(value = "最低低潮潮位注解码", index = 20)
    private String ltltdzrcd;

    /**
     * 最低低潮位出现时间
     */
    @ExcelProperty(value = "最低低潮位出现时间", index = 21)
    private String ltltdzotm;

    /**
     * 平均涨潮潮差
     */
    @ExcelProperty(value = "平均涨潮潮差", index = 22)
    private String avftdr;

    /**
     * 平均涨潮潮差注解码
     */
    @ExcelProperty(value = "平均涨潮潮差注解码", index = 23)
    private String avftdrrcd;

    /**
     * 最大涨潮潮差
     */
    @ExcelProperty(value = "最大涨潮潮差", index = 24)
    private String mxfltdr;

    /**
     * 最大涨潮潮差注解码
     */
    @ExcelProperty(value = "最大涨潮潮差注解码", index = 25)
    private String mxfltdrrcd;

    /**
     * 最大涨潮潮差（高潮）时间
     */
    @ExcelProperty(value = "最大涨潮潮差（高潮）时间", index = 26)
    private String mxfltdrhtm;

    /**
     * 最小潮潮差
     */
    @ExcelProperty(value = "最小潮潮差", index = 27)
    private String mnfltdr;

    /**
     * 最小涨潮潮差注解码
     */
    @ExcelProperty(value = "最小涨潮潮差注解码", index = 28)
    private String mnfltdrrcd;

    /**
     * 最小涨潮潮差（高潮）时间
     */
    @ExcelProperty(value = "最小涨潮潮差（高潮）时间", index = 29)
    private String mnfltdrhtm;


    /**
     * 平均涨潮潮差
     */
    @ExcelProperty(value = "平均涨潮潮差", index = 30)
    private String aver;

    /**
     * 平均涨潮潮差注解码
     */
    @ExcelProperty(value = "平均涨潮潮差注解码", index = 31)
    private String averbbrrcd;

    /**
     * 最大落潮潮差
     */
    @ExcelProperty(value = "最大落潮潮差", index = 32)
    private String mxebtdr;

    /**
     * 最大落潮潮差注解码
     */
    @ExcelProperty(value = "最大落潮潮差注解码", index = 33)
    private String mxebtdrrcd;

    /**
     * 最大落潮潮差(高潮)时间
     */
    @ExcelProperty(value = "最大落潮潮差(高潮)时间", index = 34)
    private String mxebtdrht;

    /**
     * 最小落潮潮差
     */
    @ExcelProperty(value = "最小落潮潮差", index = 35)
    private String mnebtdr;

    /**
     * 最小落潮潮差注解码
     */
    @ExcelProperty(value = "最小落潮潮差注解码", index = 36)
    private String mnebtdrrcd;

    /**
     * 最小落潮潮差（高潮）时间
     */
    @ExcelProperty(value = "最小落潮潮差（高潮）时间", index = 37)
    private String mnebtdrhtm;

    /**
     * 平均涨潮历时
     */
    @ExcelProperty(value = "平均涨潮历时", index = 38)
    private String avftd;

    /**
     * 平均涨潮历时注解码
     */
    @ExcelProperty(value = "平均涨潮历时注解码", index = 39)
    private String avftdrcd;

    /**
     * 最长涨潮历时
     */
    @ExcelProperty(value = "最长涨潮历时", index = 40)
    private String mxfltddr;

    /**
     * 最长涨潮历时注解码
     */
    @ExcelProperty(value = "最长涨潮历时注解码", index = 41)
    private String mxfltddrrcd;

    /**
     * 最长涨潮历时（高潮）时间
     */
    @ExcelProperty(value = "最长涨潮历时（高潮）时间", index = 42)
    private String mxfltddrhtm;

    /**
     * 最短涨潮历时
     */
    @ExcelProperty(value = "最短涨潮历时", index = 43)
    private String mnfltddr;

    /**
     * 最短涨潮历时注解码
     */
    @ExcelProperty(value = "最短涨潮历时注解码", index = 44)
    private String mnfltddrrcd;

    /**
     * 最短涨潮历时（高潮）时间
     */
    @ExcelProperty(value = "最短涨潮历时（高潮）时间", index = 45)
    private String mnfltddrhtm;

    /**
     * 平均落潮历时
     */
    @ExcelProperty(value = "平均落潮历时", index = 46)
    private String avebbdr;

    /**
     * 平均落潮历时注解码
     */
    @ExcelProperty(value = "平均落潮历时注解码", index = 47)
    private String avedrc;

    /**
     * 最长落潮历时
     */
    @ExcelProperty(value = "最长落潮历时", index = 48)
    private String mxebtddr;

    /**
     * 最长落潮历时注解码
     */
    @ExcelProperty(value = "最长落潮历时注解码", index = 49)
    private String mxebtddrrcd;

    /**
     * 最长落潮历时（高潮）时间
     */
    @ExcelProperty(value = "最长落潮历时（高潮）时间", index = 50)
    private String mxebtddrhtm;

    /**
     * 最短落潮历时
     */
    @ExcelProperty(value = "最短落潮历时", index = 51)
    private String mnbtddr;

    /**
     * 最短落潮历时注解码
     */
    @ExcelProperty(value = "最短落潮历时注解码", index = 52)
    private String mnebtddrrcd;

    /**
     * 最短落潮历时（高潮）时间
     */
    @ExcelProperty(value = "最短落潮历时（高潮）时间", index = 53)
    private String mnebtddrhtm;

    /**
     * 逐时平均潮位
     */
    @ExcelProperty(value = "逐时平均潮位", index = 54)
    private String hravtdz;

    /**
     * 逐时平均潮位注解码
     */
    @ExcelProperty(value = "逐时平均潮位注解码", index = 55)
    private String hravtdzrcd;

    /**
     * 平均潮差
     */
    @ExcelProperty(value = "平均潮差", index = 56)
    private String avtdr;

    /**
     * 平均潮差注解码
     */
    @ExcelProperty(value = "平均潮差注解码", index = 57)
    private String avtdrrcd;

    /**
     * 平均历时
     */
    @ExcelProperty(value = "平均历时", index = 58)
    private String avtddr;

    /**
     * 平均历时注解码
     */
    @ExcelProperty(value = "平均历时注解码", index = 59)
    private String avtddrrcd;

    private static final long serialVersionUID = 1L;
}