package com.ruoyi.swlscx.year.domain.bo;

import com.alibaba.excel.annotation.ExcelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * 年水面蒸发量表
 *
 * @TableName hy_yrwe_f
 */
@Data
public class HyYrweFBo implements Serializable {
    /**
     * 站码
     */
    @ExcelProperty(value = "站码", index = 1)
    private String stcd;

    /**
     * 蒸发器型式
     */
    @ExcelProperty(value = "蒸发器型式", index = 5)
    private String eetp;

    /**
     * 年
     */
    @ExcelProperty(value = "年", index = 6)
    private String yr;

    /**
     * 水面蒸发量(毫米)
     */
    @ExcelProperty(value = "水面蒸发量", index = 7)
    private String wsfe;

    /**
     * 水面蒸发量注解码
     */
    @ExcelProperty(value = "水面蒸发量注解码", index = 8)
    private String wsfercd;

    /**
     * 最大日水面蒸发量
     */
    @ExcelProperty(value = "最大日水面蒸发量", index = 9)
    private String mxdye;

    /**
     * 最大日水面蒸发量注解码
     */
    @ExcelProperty(value = "最大日水面蒸发量注解码", index = 10)
    private String mxdyercd;

    /**
     * 最大日水面蒸发量出现日期
     */
    @ExcelProperty(value = "最大日水面蒸发量出现日期", index = 11)
    private String mxdyeodt;

    /**
     * 最小日水面蒸发量
     */
    @ExcelProperty(value = "最小日水面蒸发量", index = 12)
    private String mndye;

    /**
     * 最小日水面蒸发量注解码
     */
    @ExcelProperty(value = "最小日水面蒸发量注解码", index = 13)
    private String mndyercd;

    /**
     * 最小日水面蒸发量出现日期
     */
    @ExcelProperty(value = "最小日水面蒸发量出现日期", index = 14)
    private String mndyeodt;

    /**
     * 终冰日期
     */
    @ExcelProperty(value = "终冰日期", index = 15)
    private String idsdt;

    /**
     * 初冰日期
     */
    @ExcelProperty(value = "初冰日期", index = 16)
    private String icapd;

    /**
     * 蒸发场位置特征
     */
    @ExcelProperty(value = "蒸发场位置特征", index = 17)
    private String eslcch;

    /**
     * 备注
     */
    @ExcelProperty(value = "备注", index = 18)
    private String nt;

    private static final long serialVersionUID = 1L;
}