package com.ruoyi.swlscx.year.domain.po;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import lombok.Data;

/**
 * 年降水量表
 * @TableName hy_yrp_f
 */
@TableName(value ="hy_yrp_f")
@Data
public class HyYrpF implements Serializable {
    /**
     * 站码
     */
    private String stcd;

    /**
     * 年
     */
    private Integer yr;

    /**
     * 降水量(毫米)
     */
    private BigDecimal p;

    /**
     * 降水量注解码
     */
    private String prcd;

    /**
     * 降水日数
     */
    private String pdynum;

    /**
     * 降水日数注解码
     */
    private String pdynumrcd;

    /**
     * 终霜日期
     */
    private Date frdsdt;

    /**
     * 初霜日期
     */
    private Date frapdt;

    /**
     * 终雪日期
     */
    private Date sndsdt;

    /**
     * 初雪日期
     */
    private Date snapdt;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}