package com.ruoyi.swlscx.year.domain.po;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import lombok.Data;

/**
 * 年流量表
 * @TableName hy_yrq_f
 */
@TableName(value ="hy_yrq_f")
@Data
public class HyYrqF implements Serializable {
    /**
     * 站码
     */
    private String stcd;

    /**
     * 年
     */
    private Integer yr;

    /**
     * 平均流量
     */
    private BigDecimal avq;

    /**
     * 平均流量注解码
     */
    private String avqrcd;

    /**
     * 最高流量
     */
    private BigDecimal mxq;

    /**
     * 最高流量注解码
     */
    private String mxqrcd;

    /**
     * 最高流量日期
     */
    private Date mxqdt;

    /**
     * 最小流量
     */
    private BigDecimal mnq;

    /**
     * 最小流量注解码
     */
    private String mnqrcd;

    /**
     * 最小流量日期
     */
    private Date mnqdt;

    /**
     * 径流量(万立方米)
     */
    private BigDecimal rw;

    /**
     * 径流量注解码
     */
    private String rwrcd;

    /**
     * 径流模数(立方分米每秒平方千米)
     */
    private BigDecimal rm;

    /**
     * 径流深(毫米)
     */
    private BigDecimal rd;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}