package com.ruoyi.swlscx.year.domain.po;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import lombok.Data;

/**
 * 年输沙率表
 * @TableName hy_yrqs_f
 */
@TableName(value ="hy_yrqs_f")
@Data
public class HyYrqsF implements Serializable {
    /**
     * 站码
     */
    private String stcd;

    /**
     * 泥沙类型
     */
    private String sdtp;

    /**
     * 年
     */
    private Integer yr;

    /**
     * 平均输沙率(千克每秒)
     */
    private BigDecimal avqs;

    /**
     * 平均输沙率注解码
     */
    private String avqsrcd;

    /**
     * 最大日平均沙率(千克每秒)
     */
    private BigDecimal mxdyqs;

    /**
     * 最大日平均沙率注解码
     */
    private String mxdyqsrcd;

    /**
     * 最大日平均沙率出现日期
     */
    private Date mxdyqsodt;

    /**
     * 输沙量(万吨)
     */
    private BigDecimal sw;

    /**
     * 输沙量注解码
     */
    private String swpc;

    /**
     * 输沙数模
     */
    private BigDecimal sm;

    /**
     * 采样仪器型号
     */
    private String simn;

    /**
     * 采样效率系数
     */
    private BigDecimal smec;

    /**
     * 备注
     */
    private String nt;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}