package com.ruoyi.swlscx.year.domain.po;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import lombok.Data;

/**
 * 年潮位表
 * @TableName hy_yrtdz_f
 */
@TableName(value ="hy_yrtdz_f")
@Data
public class HyYrtdzF implements Serializable {
    /**
     * 站码
     */
    private String stcd;

    /**
     * 年
     */
    private Integer yr;

    /**
     * 平均高潮潮位
     */
    private BigDecimal avhtdz;

    /**
     * 平均高潮潮位注解码
     */
    private String avhtdzrcd;

    /**
     * 最高高潮位
     */
    private BigDecimal hthtdz;

    /**
     * 最高高潮位注解码
     */
    private String hthtdzrcd;

    /**
     * 最高高潮位出现时间
     */
    private Date hthtdzotm;

    /**
     * 最低高潮位
     */
    private BigDecimal lthtdz;

    /**
     * 最低高潮位注解码
     */
    private String lthtdzrcd;

    /**
     * 最低高潮位出现时间
     */
    private Date lthtdzotm;

    /**
     * 平均低潮潮位
     */
    private BigDecimal avltdz;

    /**
     * 平均低潮潮位注解码
     */
    private String avltdzrcd;

    /**
     * 最高低潮位
     */
    private BigDecimal htltdz;

    /**
     * 最高低潮位注解码
     */
    private String htltdzrcd;

    /**
     * 最高低潮潮位出现时间
     */
    private Date htltdzotm;

    /**
     * 最低低潮位
     */
    private BigDecimal ltltdz;

    /**
     * 最低低潮潮位注解码
     */
    private String ltltdzrcd;

    /**
     * 最低地潮位出现时间
     */
    private Date ltltdzotm;

    /**
     * 平均涨潮潮差
     */
    private BigDecimal avftdr;

    /**
     * 平均涨潮潮差注解码
     */
    private String avftdrrcd;

    /**
     * 最大涨潮潮差
     */
    private BigDecimal mxfltdr;

    /**
     * 最大涨潮潮差注解码
     */
    private String mxfltdrrcd;

    /**
     * 最大涨潮潮差（高潮）时间
     */
    private Date mxfltdrhtm;

    /**
     * 最小潮潮差
     */
    private BigDecimal mnfltdr;

    /**
     * 最小涨潮潮差注解码
     */
    private String mnfltdrrcd;

    /**
     * 最小涨潮潮差（高潮）时间
     */
    private Date mnfltdrhtm;

    /**
     * 平均涨潮潮差
     */
    private BigDecimal aver;

    /**
     * 平均涨潮潮差注解码
     */
    private String averbbrrcd;

    /**
     * 最大落潮潮差
     */
    private BigDecimal mxebtdr;

    /**
     * 最大落潮潮差注解码
     */
    private String mxebtdrrcd;

    /**
     * 最大落潮潮差(高潮)时间
     */
    private Date mxebtdrht;

    /**
     * 最小落潮潮差
     */
    private BigDecimal mnebtdr;

    /**
     * 最小落潮潮差注解码
     */
    private String mnebtdrrcd;

    /**
     * 最小落潮潮差（高潮）时间
     */
    private Date mnebtdrhtm;

    /**
     * 平均涨潮历时
     */
    private Integer avftd;

    /**
     * 平均涨潮历时注解码
     */
    private String avftdrcd;

    /**
     * 最长涨潮历时
     */
    private Integer mxfltddr;

    /**
     * 最长涨潮历时注解码
     */
    private String mxfltddrrcd;

    /**
     * 最长涨潮历时（高潮）时间
     */
    private Date mxfltddrhtm;

    /**
     * 最短涨潮历时
     */
    private Integer mnfltddr;

    /**
     * 最短涨潮历时注解码
     */
    private String mnfltddrrcd;

    /**
     * 最短涨潮历时（高潮）时间
     */
    private Date mnfltddrhtm;

    /**
     * 平均落潮历时
     */
    private Integer avebbdr;

    /**
     * 平均落潮历时注解码
     */
    private String avedrc;

    /**
     * 最长落潮历时
     */
    private Integer mxebtddr;

    /**
     * 最长落潮历时注解码
     */
    private String mxebtddrrcd;

    /**
     * 最长落潮历时（高潮）时间
     */
    private Date mxebtddrhtm;

    /**
     * 最短落潮历时
     */
    private Integer mnbtddr;

    /**
     * 最短落潮历时注解码
     */
    private String mnebtddrrcd;

    /**
     * 最短落潮历时（高潮）时间
     */
    private Date mnebtddrhtm;

    /**
     * 逐时平均潮位
     */
    private BigDecimal hravtdz;

    /**
     * 逐时平均潮位注解码
     */
    private String hravtdzrcd;

    /**
     * 平均潮差
     */
    private BigDecimal avtdr;

    /**
     * 平均潮差注解码
     */
    private String avtdrrcd;

    /**
     * 平均历时
     */
    private Integer avtddr;

    /**
     * 平均历时注解码
     */
    private String avtddrrcd;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}