package com.ruoyi.swlscx.year.domain.po;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import lombok.Data;

/**
 * 年水面蒸发量表
 * @TableName hy_yrwe_f
 */
@TableName(value ="hy_yrwe_f")
@Data
public class HyYrweF implements Serializable {
    /**
     * 站码
     */
    private String stcd;

    /**
     * 蒸发器型式
     */
    private String eetp;

    /**
     * 年
     */
    @TableId
    private Integer yr;

    /**
     * 水面蒸发量(毫米)
     */
    private BigDecimal wsfe;

    /**
     * 水面蒸发量注解码
     */
    private String wsfercd;

    /**
     * 最大日水面蒸发量
     */
    private BigDecimal mxdye;

    /**
     * 最大日水面蒸发量注解码
     */
    private String mxdyercd;

    /**
     * 最大日水面蒸发量出现日期
     */
    private Date mxdyeodt;

    /**
     * 最小日水面蒸发量
     */
    private BigDecimal mndye;

    /**
     * 最小日水面蒸发量注解码
     */
    private String mndyercd;

    /**
     * 最小日水面蒸发量出现日期
     */
    private Date mndyeodt;

    /**
     * 终冰日期
     */
    private Date idsdt;

    /**
     * 初冰日期
     */
    private Date icapd;

    /**
     * 蒸发场位置特征
     */
    private String eslcch;

    /**
     * 备注
     */
    private String nt;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}