package com.ruoyi.swlscx.year.domain.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 年输沙率表
 * @TableName hy_yrqs_f
 */
@Data
public class HyYrqsFVo implements Serializable {
    /**
     * 站码
     */
    private String stcd;

    /**
     * 泥沙类型
     */
    private String sdtp;

    /**
     * 年
     */
    private Integer yr;

    /**
     * 平均输沙率(千克每秒)
     */
    private BigDecimal avqs;

    /**
     * 平均输沙率注解码
     */
    private String avqsrcd;

    /**
     * 最大日平均沙率(千克每秒)
     */
    private BigDecimal mxdyqs;

    /**
     * 最大日平均沙率注解码
     */
    private String mxdyqsrcd;

    /**
     * 最大日平均沙率出现日期
     */
    private String mxdyqsodt;

    /**
     * 输沙量(万吨)
     */
    private BigDecimal sw;

    /**
     * 输沙量注解码
     */
    private String swpc;

    /**
     * 输沙数模
     */
    private BigDecimal sm;

    /**
     * 采样仪器型号
     */
    private String simn;

    /**
     * 采样效率系数
     */
    private BigDecimal smec;

    /**
     * 备注
     */
    private String nt;

    /**
     * 站名
     */
    private String stnm;


    private String addvcd;


    /**
     * 流域水系码
     */
    private String lysxm;

    private static final long serialVersionUID = 1L;
}