package com.ruoyi.swlscx.year.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.swlscx.basic.domain.po.HyStscA;
import com.ruoyi.swlscx.month.domain.vo.HyMptEVo;
import com.ruoyi.swlscx.year.domain.po.HyYrpF;
import com.ruoyi.swlscx.year.domain.vo.HyYrpFVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
* @author 12974
* @description 针对表【hy_yrp_f(年降水量表)】的数据库操作Mapper
* @createDate 2024-09-05 16:53:36
* @Entity com.ruoyi.swlscx.domain.po.HyYrpF
*/
@Mapper
public interface HyYrpFMapper extends BaseMapper<HyYrpF> {

    /**
     * 批量添加到临时表中
     */
    void batchInsert(@Param("list") List<HyYrpF> batchList);

    /**
     * 刷新数据
     */
    void batchInsertOrUpdate();

    /**
     * 先清空临时表的数据
     */
    void deleteAll();

    IPage<HyYrpFVo> selectHyMtpDataByPageAndInfo(Page<HyMptEVo> page,@Param("map") Map<String, Object> map);

    void deleteTempData();


    void mergeToData();

}




