package com.ruoyi.swlscx.year.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.ruoyi.common.core.page.R;
import com.ruoyi.swlscx.common.PageParams;
import com.ruoyi.swlscx.year.domain.po.HyDmxpF;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.swlscx.year.domain.vo.HyDmxpFVo;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletResponse;

/**
* @author 12974
* @description 针对表【hy_dmxp_f(日时段最大降水量)】的数据库操作Service
* @createDate 2024-09-11 10:09:13
*/
public interface HyDmxpFService extends IService<HyDmxpF> {
    /** 导入日时段最大降水量数据*/
    void importHyDmxpFData(MultipartFile file);

    /**
     * 查询小时时段最大降水量表数据
     */
    IPage<HyDmxpFVo> selectMaxDRainListPageByInfo(PageParams pageParams, String startTime, String endTime, String stcd, String stnm);

    /**
     * 导出小时时段最大降水量表数据
     */
    R exportDayDmxpFData(HttpServletResponse response, String startTime, String endTime, String stcd, String stnm);

    R importDateTosoft(String startTime, String endTime);
}
