package com.ruoyi.swlscx.year.service;


import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.common.core.page.R;
import com.ruoyi.swlscx.common.PageParams;
import com.ruoyi.swlscx.year.domain.po.HyHmxpF;
import com.ruoyi.swlscx.year.domain.vo.HyHmxpFVo;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletResponse;

/**
* @author 12974
* @description 针对表【hy_hmxp_f】的数据库操作Service
* @createDate 2024-07-23 14:15:25
*/
public interface HyHmxpFService extends IService<HyHmxpF> {

    /**
     * 导入时段最大降雨量数据
     */
    void importHourMaxRainData(MultipartFile file);


    /**
     * 查询小时时段最大降水量表数据
     */
    IPage<HyHmxpFVo> selectMaxHRainListPageByInfo(PageParams pageParams, String startTime, String endTime, String stcd, String stnm);


    /**
     * 导出小时时段最大降水量表数据
     */
    R exportHyHmxpFData(HttpServletResponse response, String startTime, String endTime, String stcd, String stnm);

    /**
     * 导入小时时段最大降水量表数据到sqlserver
     */
    R importDateTosoft(String startTime, String endTime);
}
