package com.ruoyi.swlscx.year.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.ruoyi.common.core.page.R;
import com.ruoyi.swlscx.common.PageParams;
import com.ruoyi.swlscx.year.domain.po.HyMmxpF;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.swlscx.year.domain.vo.HyMmxpFVo;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletResponse;

/**
* @author 12974
* @description 针对表【hy_mmxp_f(分钟时段最大降水量表)】的数据库操作Service
* @createDate 2024-09-11 10:09:13
*/
public interface HyMmxpFService extends IService<HyMmxpF> {

    /**
     * 导入分钟时段最大降水量表
     */
    void  importHyMmxpFData(MultipartFile file);

    /**
     * 查询分钟时段最大降水量表数据
     */
    IPage<HyMmxpFVo> selectMaxMRainListPageByInfo(PageParams pageParams, String startTime, String endTime, String stcd, String stnm);

    /**
     * 导出分钟时段最大降水量表
     */
    R exportMinMaxRainList(HttpServletResponse response, String startTime, String endTime, String stcd, String stnm);

    /**
     * 导入数据到南方片
     */
    R importDateTosoft(String startTime, String endTime);
}
