package com.ruoyi.swlscx.year.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.common.core.page.R;
import com.ruoyi.swlscx.common.PageParams;
import com.ruoyi.swlscx.year.domain.po.HyYrcsF;
import com.ruoyi.swlscx.year.domain.vo.HyYrcsFVo;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletResponse;

/**
* @author 12974
* @description 针对表【hy_yrcs_f(年含沙量表)】的数据库操作Service
* @createDate 2024-09-05 16:53:36
*/
public interface HyYrcsFService extends IService<HyYrcsF> {
    /**
     * 导入年含沙量表
     */
    void  importHyYrcsFData(MultipartFile file);

    /**
     * 查询年含沙量表数据
     */
    IPage<HyYrcsFVo> getYearSedimentConcentrationList(PageParams pageParams, String startTime, String endTime, String stcd, String stnm);

    /**
     * 导出年含沙量表
     */
    R exportSedimentConcentrationList(HttpServletResponse response, String startTime, String endTime, String stcd, String stnm);

    R importDateTosoft(String startTime, String endTime);
}
