package com.ruoyi.swlscx.year.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.common.core.page.R;
import com.ruoyi.swlscx.common.PageParams;
import com.ruoyi.swlscx.year.domain.po.HyYrpF;
import com.ruoyi.swlscx.year.domain.vo.HyYrpFVo;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletResponse;

/**
* @author 12974
* @description 针对表【hy_yrp_f(年降水量表)】的数据库操作Service
* @createDate 2024-09-05 16:53:36
*/
public interface HyYrpFService extends IService<HyYrpF> {
    /** 导入年降水表数据*/
    void importHyYrpFData(MultipartFile file);
    /**
     * 查询年降水表数据
     */
    IPage<HyYrpFVo> selectHyYrpFDataByPageAndInfo(PageParams pageParams, String startTime, String endTime, String stcd, String stnm);

    /**
     * 导出年降水表数据
     */
    R exportHyYrpFData(HttpServletResponse response, String startTime, String endTime, String stcd, String stnm);

    R importDateTosoft(String startTime, String endTime);
}
