package com.ruoyi.swlscx.year.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.common.core.page.R;
import com.ruoyi.swlscx.common.PageParams;
import com.ruoyi.swlscx.year.domain.po.HyYrqF;
import com.ruoyi.swlscx.year.domain.vo.HyYrqFVo;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletResponse;

/**
* @author 12974
* @description 针对表【hy_yrq_f(年流量表)】的数据库操作Service
* @createDate 2024-09-05 16:53:36
*/
public interface HyYrqFService extends IService<HyYrqF> {

    /** 导入年流量数据*/
    void importHyYrpFData(MultipartFile file);

    /**查询年流量表数据*/
    IPage<HyYrqFVo> selecHyYrqFListPageByInfo(PageParams pageParams, String startTime, String endTime, String stcd, String stnm);


    /**
     * 导出年流量表
     */
    R exportYearFlowList(HttpServletResponse response, String startTime, String endTime, String stcd, String stnm);

    R importDateTosoft(String startTime, String endTime);
}
