package com.ruoyi.swlscx.year.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.common.core.page.R;
import com.ruoyi.swlscx.common.PageParams;
import com.ruoyi.swlscx.year.domain.po.HyYrqsF;
import com.ruoyi.swlscx.year.domain.vo.HyYrqsFVo;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletResponse;

/**
* @author 12974
* @description 针对表【hy_yrqs_f(年输沙率表)】的数据库操作Service
* @createDate 2024-09-05 16:53:36
*/
public interface HyYrqsFService extends IService<HyYrqsF> {
    /** 导入年输沙率表据*/
    void importHyYrqsFData(MultipartFile file);

    /**
     * 查询年输沙率表数据
     */
    IPage<HyYrqsFVo> getYearsedimentTransportRateList(PageParams pageParams, String startTime, String endTime, String stcd, String stnm);

    /**
     * 导出年输沙率表
     */
    R exportSedimentTransportRateList(HttpServletResponse response, String startTime, String endTime, String stcd, String stnm);

    R importDateTosoft(String startTime, String endTime);
}
