package com.ruoyi.swlscx.year.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.common.core.page.R;
import com.ruoyi.swlscx.common.PageParams;
import com.ruoyi.swlscx.year.domain.po.HyYrweF;
import com.ruoyi.swlscx.year.domain.vo.HyYrweFVo;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletResponse;

/**
* @author 12974
* @description 针对表【hy_yrwe_f(年水面蒸发量表)】的数据库操作Service
* @createDate 2024-09-05 16:53:36
*/
public interface HyYrweFService extends IService<HyYrweF> {
    /** 导入年水面蒸发量表数据*/
    void importHyYrweFData(MultipartFile file);


    /**查询年水面蒸发量表数据*/
    IPage<HyYrweFVo> selectHyYrweFListPageByInfo(PageParams pageParams, String startTime, String endTime, String stcd, String stnm);

    /**
     * 导出年水面蒸发量表
     */
    R exportYearEvaporationWaterList(HttpServletResponse response, String startTime, String endTime, String stcd, String stnm);

    R importDateTosoft(String startTime, String endTime);
}
