package com.ruoyi.swlscx.year.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.common.core.page.R;
import com.ruoyi.swlscx.common.PageParams;
import com.ruoyi.swlscx.year.domain.po.HyYrwtF;
import com.ruoyi.swlscx.year.domain.vo.HyYrwtFVo;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletResponse;

/**
* @author 12974
* @description 针对表【hy_yrwt_f(年水温表)】的数据库操作Service
* @createDate 2024-09-05 16:53:36
*/
public interface HyYrwtFService extends IService<HyYrwtF> {
    /** 导入年水温表数据*/
    void importHyYrpFData(MultipartFile file);

    /**
     * 查询年水温表数据
     */
    IPage<HyYrwtFVo> getYearWaterTemperatureList(PageParams pageParams, String startTime, String endTime, String stcd, String stnm);

    /**
     * 导出年水温表
     */
    R exportYearWaterTemperatureList(HttpServletResponse response, String startTime, String endTime, String stcd, String stnm);

    R importDateTosoft(String startTime, String endTime);
}
