package com.ruoyi.swlscx.year.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.common.core.page.R;
import com.ruoyi.swlscx.common.PageParams;
import com.ruoyi.swlscx.year.domain.po.HyYrzF;
import com.ruoyi.swlscx.year.domain.vo.HyYrzFVo;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletResponse;

/**
 * @author 12974
 * @description 针对表【hy_yrz_f(年水位表)】的数据库操作Service
 * @createDate 2024-09-05 16:53:36
 */
public interface HyYrzFService extends IService<HyYrzF> {
    /**
     * 导入年水位表数据
     */
    void importHyYrpFData(MultipartFile file);

    /**
     * 查询年水位表
     **/
    IPage<HyYrzFVo> selectHyYrzFPageByInfo(PageParams pageParams, String startTime, String endTime, String stnm, String stcd);

    /**
     * 导出年水位表数据
     **/
    R exportYearWaterLeverList(HttpServletResponse response, String startTime, String endTime, String stcd, String stnm);

    R importDateTosoft(String startTime, String endTime);
}
