package com.ruoyi.swlscx.year.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.common.annotation.DataSource;
import com.ruoyi.common.config.RuoYiConfig;
import com.ruoyi.common.core.page.R;
import com.ruoyi.common.core.text.Convert;
import com.ruoyi.common.enums.DataSourceType;
import com.ruoyi.common.utils.DateUtils;
import com.ruoyi.common.utils.SecurityUtils;
import com.ruoyi.common.utils.bean.BeanUtils;
import com.ruoyi.swlscx.basic.domain.po.YcExportTask;
import com.ruoyi.swlscx.basic.service.YcExportTaskService;
import com.ruoyi.swlscx.common.PageParams;
import com.ruoyi.swlscx.year.domain.bo.HyYrtdzFBo;
import com.ruoyi.swlscx.year.domain.po.HyHmxpF;
import com.ruoyi.swlscx.year.domain.po.HyYrtdzF;
import com.ruoyi.swlscx.year.domain.vo.HyHmxpFVo;
import com.ruoyi.swlscx.year.domain.vo.HyYrtdzFVo;
import com.ruoyi.swlscx.year.mapper.HyYrtdzFMapper;
import com.ruoyi.swlscx.year.service.HyYrtdzFService;
import com.ruoyi.swlscx.common.utils.CommonUtils;
import com.ruoyi.swlscx.common.utils.ExcelUtils;
import com.ruoyi.swlscx.common.utils.Query;
import org.apache.commons.lang3.ObjectUtils;
import org.apache.poi.ss.usermodel.CellStyle;
import org.apache.poi.ss.usermodel.Row;
import org.apache.poi.ss.usermodel.Sheet;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.ApplicationContext;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.web.multipart.MultipartFile;

import javax.annotation.Resource;
import javax.servlet.http.HttpServletResponse;
import java.io.File;
import java.util.*;
import java.util.concurrent.CompletableFuture;
import java.util.concurrent.ThreadPoolExecutor;
import java.util.stream.Collectors;

/**
* @author 12974
* @description 针对表【hy_yrtdz_f(年潮位表)】的数据库操作Service实现
* @createDate 2024-09-05 16:53:36
*/
@Service
public class HyYrtdzFServiceImpl extends ServiceImpl<HyYrtdzFMapper, HyYrtdzF>
    implements HyYrtdzFService {

    @Resource
    private ThreadPoolExecutor labelThreadPool;

    @Resource
    private YcExportTaskService ycExportTaskService;



    /**
     * 导入年潮位表表数据
     */
    @Override
    @Transactional(rollbackFor = Exception.class)
    public void importHyMmxpFData(MultipartFile file) {
        try {
            List<HyYrtdzFBo> hyYrtdzFBos = ExcelUtils.readExcel(file.getInputStream(), HyYrtdzFBo.class, 2);
            // 获取数据
            List<HyYrtdzF> dataList = hyYrtdzFBos.parallelStream().map(i -> {
                HyYrtdzF hyYrtdzF = new HyYrtdzF();
                BeanUtils.copyProperties(i, hyYrtdzF);
                hyYrtdzF.setYr(Convert.toInt(i.getYr()));
                hyYrtdzF.setAvhtdz(Convert.toBigDecimal(i.getAvhtdz()));
                hyYrtdzF.setHthtdz(Convert.toBigDecimal(i.getHthtdz()));
                hyYrtdzF.setHthtdzotm(DateUtils.parseDate(i.getHthtdzotm().split("\\.")[0]));
                hyYrtdzF.setLthtdz(Convert.toBigDecimal(i.getLthtdz()));
                hyYrtdzF.setLthtdzotm(DateUtils.parseDate(i.getLthtdzotm().split("\\.")[0]));
                hyYrtdzF.setAvltdz(Convert.toBigDecimal(i.getAvltdz()));
                hyYrtdzF.setHtltdz(Convert.toBigDecimal(i.getHtltdz()));
                hyYrtdzF.setHtltdzotm(DateUtils.parseDate(i.getHtltdzotm().split("\\.")[0]));
                hyYrtdzF.setLtltdz(Convert.toBigDecimal(i.getLtltdz()));
                hyYrtdzF.setLtltdzotm(DateUtils.parseDate(i.getLtltdzotm().split("\\.")[0]));
                hyYrtdzF.setAvftdr(Convert.toBigDecimal(i.getAvftdr()));
                hyYrtdzF.setMxfltdr(Convert.toBigDecimal(i.getMxfltdr()));
                hyYrtdzF.setMxfltdrhtm(DateUtils.parseDate(i.getMxfltdrhtm().split("\\.")[0]));
                hyYrtdzF.setMnfltdr(Convert.toBigDecimal(i.getMnfltdr()));
                hyYrtdzF.setMnfltdrhtm(DateUtils.parseDate(i.getMnfltdrhtm().split("\\.")[0]));
                hyYrtdzF.setAver(Convert.toBigDecimal(i.getAver()));
                hyYrtdzF.setMxebtdr(Convert.toBigDecimal(i.getMxebtdr()));
                hyYrtdzF.setMxebtdrht(DateUtils.parseDate(i.getMxebtdrht().split("\\.")[0]));
                hyYrtdzF.setMnebtdr(Convert.toBigDecimal(i.getMnebtdr()));
                hyYrtdzF.setMnebtdrhtm(DateUtils.parseDate(i.getMnebtdrhtm().split("\\.")[0]));
                hyYrtdzF.setAvftd(Convert.toInt(i.getAvftd()));
                hyYrtdzF.setMxfltddr(Convert.toInt(i.getMxfltddr()));
                hyYrtdzF.setMxfltddrhtm(DateUtils.parseDate(i.getMxfltddrhtm().split("\\.")[0]));
                hyYrtdzF.setMnfltddr(Convert.toInt(i.getMnfltddr()));
                hyYrtdzF.setMnfltddrhtm(DateUtils.parseDate(i.getMnfltddrhtm().split("\\.")[0]));
                hyYrtdzF.setAvebbdr(Convert.toInt(i.getAvebbdr()));
                hyYrtdzF.setMxebtddr(Convert.toInt(i.getMxebtddr()));
                hyYrtdzF.setMxebtddrhtm(DateUtils.parseDate(i.getMxebtddrhtm().split("\\.")[0]));
                hyYrtdzF.setMnbtddr(Convert.toInt(i.getMnbtddr()));
                hyYrtdzF.setMnebtddrhtm(DateUtils.parseDate(i.getMnebtddrhtm().split("\\.")[0]));
                hyYrtdzF.setHravtdz(Convert.toBigDecimal(i.getHravtdz()));
                hyYrtdzF.setAvtdr(Convert.toBigDecimal(i.getAvtdr()));
                hyYrtdzF.setAvtddr(Convert.toInt(i.getAvtddr()));
                return hyYrtdzF;
            }).collect(Collectors.toList());

            this.saveBatch(dataList,10000);
        } catch (Exception e) {
            throw new RuntimeException(e);
        }
    }

    /**
     * 查询年潮位表数据
     */
    @Override
    public IPage<HyYrtdzFVo> selectHyYrtdzFListPageByInfo(PageParams pageParams, String startTime, String endTime, String stcd, String stnm) {
        Map<String, Object> map = CommonUtils.getYearAndDayDataMap(pageParams, startTime, endTime, stcd, stnm);
        return this.baseMapper.selectHyYrtdzFListPageByInfo(new Query<HyYrtdzFVo>().getPage(map), map);
    }

    @Override
    public R exportYearTideLeverList(HttpServletResponse response, String startTime, String endTime, String stcd, String stnm) {

        Long userId = SecurityUtils.getUserId();
        String tableName = "年潮位表";
        return taskAndExport(tableName,startTime, endTime, stcd, stnm, userId);
//
//        Map<String, Object> rainMap = CommonUtils.getYearAndDayDataMap(new PageParams(0L, 100000L), startTime, endTime, stcd, stnm);
//        ExcelUtils.excelExport(response, "yearTideLever.xls", "年潮位表", (Sheet sheet, CellStyle style) -> {
//            dataModel(rainMap, sheet, style);
//        });
    }

    @Resource
    private ThreadPoolExecutor importThreadPool;

    @Autowired
    private ApplicationContext context;

    /**
     * 从mysql导入到sqlserver中
     */
    @Transactional(rollbackFor = Exception.class)
    @DataSource(DataSourceType.SHARDING)
    public void importMysqlToSqlserver(List<HyYrtdzFVo> hyYrtdzFVoList) {
        List<HyYrtdzF> records = hyYrtdzFVoList.stream().map(i->{
            HyYrtdzF hyYrtdzF = new HyYrtdzF();
            BeanUtils.copyProperties(i, hyYrtdzF);
            hyYrtdzF.setYr(Convert.toInt(i.getYr()));
            hyYrtdzF.setAvhtdz(Convert.toBigDecimal(i.getAvhtdz()));
            hyYrtdzF.setHthtdz(Convert.toBigDecimal(i.getHthtdz()));
            hyYrtdzF.setHthtdzotm(DateUtils.parseDate(i.getHthtdzotm().split("\\.")[0]));
            hyYrtdzF.setLthtdz(Convert.toBigDecimal(i.getLthtdz()));
            hyYrtdzF.setLthtdzotm(DateUtils.parseDate(i.getLthtdzotm().split("\\.")[0]));
            hyYrtdzF.setAvltdz(Convert.toBigDecimal(i.getAvltdz()));
            hyYrtdzF.setHtltdz(Convert.toBigDecimal(i.getHtltdz()));
            hyYrtdzF.setHtltdzotm(DateUtils.parseDate(i.getHtltdzotm().split("\\.")[0]));
            hyYrtdzF.setLtltdz(Convert.toBigDecimal(i.getLtltdz()));
            hyYrtdzF.setLtltdzotm(DateUtils.parseDate(i.getLtltdzotm().split("\\.")[0]));
            hyYrtdzF.setAvftdr(Convert.toBigDecimal(i.getAvftdr()));
            hyYrtdzF.setMxfltdr(Convert.toBigDecimal(i.getMxfltdr()));
            hyYrtdzF.setMxfltdrhtm(DateUtils.parseDate(i.getMxfltdrhtm().split("\\.")[0]));
            hyYrtdzF.setMnfltdr(Convert.toBigDecimal(i.getMnfltdr()));
            hyYrtdzF.setMnfltdrhtm(DateUtils.parseDate(i.getMnfltdrhtm().split("\\.")[0]));
            hyYrtdzF.setAver(Convert.toBigDecimal(i.getAver()));
            hyYrtdzF.setMxebtdr(Convert.toBigDecimal(i.getMxebtdr()));
            hyYrtdzF.setMxebtdrht(DateUtils.parseDate(i.getMxebtdrht().split("\\.")[0]));
            hyYrtdzF.setMnebtdr(Convert.toBigDecimal(i.getMnebtdr()));
            hyYrtdzF.setMnebtdrhtm(DateUtils.parseDate(i.getMnebtdrhtm().split("\\.")[0]));
            hyYrtdzF.setAvftd(Convert.toInt(i.getAvftd()));
            hyYrtdzF.setMxfltddr(Convert.toInt(i.getMxfltddr()));
            hyYrtdzF.setMxfltddrhtm(DateUtils.parseDate(i.getMxfltddrhtm().split("\\.")[0]));
            hyYrtdzF.setMnfltddr(Convert.toInt(i.getMnfltddr()));
            hyYrtdzF.setMnfltddrhtm(DateUtils.parseDate(i.getMnfltddrhtm().split("\\.")[0]));
            hyYrtdzF.setAvebbdr(Convert.toInt(i.getAvebbdr()));
            hyYrtdzF.setMxebtddr(Convert.toInt(i.getMxebtddr()));
            hyYrtdzF.setMxebtddrhtm(DateUtils.parseDate(i.getMxebtddrhtm().split("\\.")[0]));
            hyYrtdzF.setMnbtddr(Convert.toInt(i.getMnbtddr()));
            hyYrtdzF.setMnebtddrhtm(DateUtils.parseDate(i.getMnebtddrhtm().split("\\.")[0]));
            hyYrtdzF.setHravtdz(Convert.toBigDecimal(i.getHravtdz()));
            hyYrtdzF.setAvtdr(Convert.toBigDecimal(i.getAvtdr()));
            hyYrtdzF.setAvtddr(Convert.toInt(i.getAvtddr()));
            return hyYrtdzF;
        }).collect(Collectors.toList());
        //先清空临时表的数据
        this.baseMapper.deleteTempData();
        //插入临时表数据
        int batchSize = 50;
        for (int i = 0; i < records.size(); i += batchSize) {
            int end = Math.min(i + batchSize, records.size());
            List<HyYrtdzF> batch = records.subList(i, end);
            // 执行批量插入
            this.baseMapper.insertTempData(batch);
        }
        //从临时表增或修改主表
        this.baseMapper.mergeToData();
    }


    @Override
    public R importDateTosoft(String startTime, String endTime) {
        return null;
    }


    private R taskAndExport(String tableName,String startTime, String endTime, String stcd, String stnm, Long userId) {
        String startNewTime="";
        String endNewTime="";
        if (ObjectUtils.isNotEmpty(startTime) ){
            startNewTime=startTime.substring(0,4);
        }
        if (ObjectUtils.isNotEmpty(endTime)){
            endNewTime=endTime.substring(0,4);
        }
        String filename = tableName + startNewTime + "-" + endNewTime;
        // 查询是否已存在相同条件且未完成的任务
        List<YcExportTask> ongoingTasks = ycExportTaskService.list(
                new QueryWrapper<YcExportTask>()
                        .eq("user_id", userId)
                        .eq("filename", filename)
                        .eq("status", 0) // 状态为0表示任务未完成
        );

        if (!ongoingTasks.isEmpty()) {
            return R.error("当前任务正在下载中，请稍后重试");
        }

        YcExportTask ycExportTask = new YcExportTask();
        String pathPeffix = RuoYiConfig.getExportPath() +
                File.separator + userId + File.separator+
                DateUtils.parseDateToStr("yyyy-MM-dd",DateUtils.getNowDate()) + File.separator +
                DateUtils.parseDateToStr("HH_mm",DateUtils.getNowDate())+File.separator;
        ycExportTask.setFilename(filename);
        ycExportTask.setUserId(userId);
        ycExportTask.setStartTime(new Date());
        ycExportTask.setStatus(0);
        ycExportTask.setFilepath(pathPeffix);
        ycExportTaskService.save(ycExportTask);
        CompletableFuture.runAsync(() -> {
            try {
                File dest = new File(pathPeffix);
                if (!dest.exists()) {
                    dest.mkdirs();
                }
                String fullPath = pathPeffix + filename;
                exportBlackData(fullPath, startTime, endTime, stcd, stnm);

                ycExportTask.setStatus(1);
                ycExportTask.setEndTime(new Date());
                ycExportTaskService.updateById(ycExportTask);
            } catch (Exception e) {
                log.error(e.getMessage(), e);
                R.error("任务下载失败");
            }
        }, labelThreadPool);
        return R.ok("任务已提交，请稍后下载");
    }


    private void exportBlackData(String tableName, String startTime, String endTime, String stcd, String stnm) {
        Map<String, Object> rainMap = CommonUtils.getYearAndDayDataMap(new PageParams(0L, 1000000000L), startTime, endTime, stcd, stnm);
        ExcelUtils.excelBackExport2("yearTideLever.xls", tableName, (Sheet sheet, CellStyle style) ->
                dataModel1(rainMap, sheet, style));
    }

    public int dataModel1(Map<String, Object> map, Sheet sheet, CellStyle style) {
        // 批量查询数据
        IPage<HyYrtdzFVo> HyYrtdzFListPageByInfo = this.baseMapper.selectHyYrtdzFListPageByInfo(new Query<HyYrtdzFVo>().getPage(map), map);
        List<HyYrtdzFVo> records = HyYrtdzFListPageByInfo.getRecords();

        // 定义当前sheet的行号
        int rowIndex = 2; // 从第二行开始写入数据
        // 定义全局序号
        int globalIndex = 1; // 从1开始

        // 定义当前sheet的编号
        int sheetIndex = 1;

        // 最大行数限制
        int maxRowsPerSheet = 65536; // 对于 .xls 文件，最大行数为 65536
        int batchSize = 1000; // 每次批量处理1000行，减少逐行写入的开销

        // 复制表头到新sheet的逻辑
        ExcelUtils.copyHeader(sheet, style);

        // 批量处理数据
        for (int i = 0; i < records.size(); i += batchSize) {
            // 处理一批数据
            int toIndex = Math.min(i + batchSize, records.size());
            List<HyYrtdzFVo> batchList = records.subList(i, toIndex);

            // 批量写入数据
            for (HyYrtdzFVo vo : batchList) {
                // 如果当前行数达到最大行数，创建新sheet
                if (rowIndex >= maxRowsPerSheet) {
                    sheetIndex++;
                    sheet = sheet.getWorkbook().createSheet("年潮位表" + sheetIndex);
                    rowIndex = 2; // 重置行号
                    // 复制表头到新sheet
                    ExcelUtils.copyHeader(sheet, style);
                }

                // 创建新行并写入数据
                Row row = ExcelUtils.createRow(sheet, rowIndex);

                // 使用 globalIndex 作为序号
                ExcelUtils.formatCell(row, 0, String.valueOf(globalIndex), style);
                ExcelUtils.formatCell(row, 1, vo.getStcd() != null ? vo.getStcd() : "", style);
                ExcelUtils.formatCell(row, 2, vo.getStnm() != null ? vo.getStnm() : "", style);
                ExcelUtils.formatCell(row, 3, vo.getAddvcd() != null ? vo.getAddvcd() : "", style);
                ExcelUtils.formatCell(row, 4, "", style);
                ExcelUtils.formatCell(row, 5, vo.getYr() != null ? vo.getYr().toString() : "", style);
                ExcelUtils.formatCell(row, 6, vo.getAvhtdz() != null ? CommonUtils.formatNum(vo.getAvhtdz()) : "", style);
                ExcelUtils.formatCell(row, 7, vo.getAvhtdzrcd() != null ? vo.getAvhtdzrcd() : "", style);
                ExcelUtils.formatCell(row, 8, vo.getHthtdz() != null ? CommonUtils.formatNum(vo.getHthtdz()) : "", style);
                ExcelUtils.formatCell(row, 9, vo.getHthtdzrcd() != null ? vo.getHthtdzrcd() : "", style);
                ExcelUtils.formatCell(row, 10, vo.getHthtdzotm() != null ? vo.getHthtdzotm() : "", style);
                ExcelUtils.formatCell(row, 11, vo.getLthtdz() != null ? CommonUtils.formatNum(vo.getLthtdz()) : "", style);
                ExcelUtils.formatCell(row, 12, vo.getLthtdzrcd() != null ? vo.getLthtdzrcd() : "", style);
                ExcelUtils.formatCell(row, 13, vo.getLthtdzotm() != null ? vo.getLthtdzotm() : "", style);
                ExcelUtils.formatCell(row, 14, vo.getAvltdz() != null ? CommonUtils.formatNum(vo.getAvltdz()) : "", style);
                ExcelUtils.formatCell(row, 15, vo.getAvltdzrcd() != null ? vo.getAvltdzrcd() : "", style);
                ExcelUtils.formatCell(row, 16, vo.getHtltdz() != null ? CommonUtils.formatNum(vo.getHtltdz()) : "", style);
                ExcelUtils.formatCell(row, 17, vo.getHtltdzrcd() != null ? vo.getHtltdzrcd() : "", style);
                ExcelUtils.formatCell(row, 18, vo.getHtltdzotm() != null ? vo.getHtltdzotm() : "", style);
                ExcelUtils.formatCell(row, 19, vo.getLtltdz() != null ? CommonUtils.formatNum(vo.getLtltdz()) : "", style);
                ExcelUtils.formatCell(row, 20, vo.getLtltdzrcd() != null ? vo.getLtltdzrcd() : "", style);
                ExcelUtils.formatCell(row, 21, vo.getLtltdzotm() != null ? vo.getLtltdzotm() : "", style);
                ExcelUtils.formatCell(row, 22, vo.getAvftdr() != null ? CommonUtils.formatNum(vo.getAvftdr()) : "", style);
                ExcelUtils.formatCell(row, 23, vo.getAvftdrrcd() != null ? vo.getAvftdrrcd() : "", style);
                ExcelUtils.formatCell(row, 24, vo.getMxfltdr() != null ? CommonUtils.formatNum(vo.getMxfltdr()) : "", style);
                ExcelUtils.formatCell(row, 25, vo.getMxfltdrrcd() != null ? vo.getMxfltdrrcd() : "", style);
                ExcelUtils.formatCell(row, 26, vo.getMxfltdrhtm() != null ? vo.getMxfltdrhtm() : "", style);
                ExcelUtils.formatCell(row, 27, vo.getMnfltdr() != null ? CommonUtils.formatNum(vo.getMnfltdr()) : "", style);
                ExcelUtils.formatCell(row, 28, vo.getMnfltdrrcd() != null ? vo.getMnfltdrrcd() : "", style);
                ExcelUtils.formatCell(row, 29, vo.getMnfltdrhtm() != null ? vo.getMnfltdrhtm() : "", style);
                ExcelUtils.formatCell(row, 30, vo.getAver() != null ? CommonUtils.formatNum(vo.getAver()) : "", style);
                ExcelUtils.formatCell(row, 31, vo.getAverbbrrcd() != null ? vo.getAverbbrrcd() : "", style);
                ExcelUtils.formatCell(row, 32, vo.getMxebtdr() != null ? CommonUtils.formatNum(vo.getMxebtdr()) : "", style);
                ExcelUtils.formatCell(row, 33, vo.getMxebtdrrcd() != null ? vo.getMxebtdrrcd() : "", style);
                ExcelUtils.formatCell(row, 34, vo.getMxebtdrht() != null ? vo.getMxebtdrht() : "", style);
                ExcelUtils.formatCell(row, 35, vo.getMnebtdr() != null ? CommonUtils.formatNum(vo.getMnebtdr()) : "", style);
                ExcelUtils.formatCell(row, 36, vo.getMnebtdrrcd() != null ? vo.getMnebtdrrcd() : "", style);
                ExcelUtils.formatCell(row, 37, vo.getMnebtdrhtm() != null ? vo.getMnebtdrhtm() : "", style);
                ExcelUtils.formatCell(row, 38, vo.getAvftd() != null ? vo.getAvftd().toString() : "", style);
                ExcelUtils.formatCell(row, 39, vo.getAvftdrcd() != null ? vo.getAvftdrcd() : "", style);
                ExcelUtils.formatCell(row, 40, vo.getMxfltddr() != null ? vo.getMxfltddr().toString() : "", style);
                ExcelUtils.formatCell(row, 41, vo.getMxfltddrrcd() != null ? vo.getMxfltddrrcd() : "", style);
                ExcelUtils.formatCell(row, 42, vo.getMxfltddrhtm() != null ? vo.getMxfltddrhtm() : "", style);
                ExcelUtils.formatCell(row, 43, vo.getMnfltddr() != null ? vo.getMnfltddr().toString() : "", style);
                ExcelUtils.formatCell(row, 44, vo.getMnfltddrrcd() != null ? vo.getMnfltddrrcd() : "", style);
                ExcelUtils.formatCell(row, 45, vo.getMnfltddrhtm() != null ? vo.getMnfltddrhtm() : "", style);
                ExcelUtils.formatCell(row, 46, vo.getAvebbdr() != null ? vo.getAvebbdr().toString() : "", style);
                ExcelUtils.formatCell(row, 47, vo.getAvedrc() != null ? vo.getAvedrc() : "", style);
                ExcelUtils.formatCell(row, 48, vo.getMxebtddr() != null ? vo.getMxebtddr().toString() : "", style);
                ExcelUtils.formatCell(row, 49, vo.getMxebtddrrcd() != null ? vo.getMxebtddrrcd() : "", style);
                ExcelUtils.formatCell(row, 50, vo.getMxebtddrhtm() != null ? vo.getMxebtddrhtm() : "", style);
                ExcelUtils.formatCell(row, 51, vo.getMnbtddr() != null ? vo.getMnbtddr().toString() : "", style);
                ExcelUtils.formatCell(row, 52, vo.getMnebtddrrcd() != null ? vo.getMnebtddrrcd() : "", style);
                ExcelUtils.formatCell(row, 53, vo.getMnebtddrhtm() != null ? vo.getMnebtddrhtm() : "", style);
                ExcelUtils.formatCell(row, 54, vo.getHravtdz() != null ? CommonUtils.formatNum(vo.getHravtdz()) : "", style);
                ExcelUtils.formatCell(row, 55, vo.getHravtdzrcd() != null ? vo.getHravtdzrcd() : "", style);
                ExcelUtils.formatCell(row, 56, vo.getAvtdr() != null ? CommonUtils.formatNum(vo.getAvtdr()) : "", style);
                ExcelUtils.formatCell(row, 57, vo.getAvtdrrcd() != null ? vo.getAvtdrrcd() : "", style);
                ExcelUtils.formatCell(row, 58, vo.getAvtddr() != null ? vo.getAvtddr().toString() : "", style);
                ExcelUtils.formatCell(row, 59, vo.getAvtddrrcd() != null ? vo.getAvtddrrcd() : "", style);
                ExcelUtils.formatCell(row, 60, "", style);

                // 增加行号和全局序号
                rowIndex++;
                globalIndex++;
            }
        }
        return 0;
    }


    public void dataModel(Map<String, Object> map, Sheet sheet, CellStyle style) {
        // 批量查询数据
        IPage<HyYrtdzFVo> HyYrtdzFListPageByInfo = this.baseMapper.selectHyYrtdzFListPageByInfo(new Query<HyYrtdzFVo>().getPage(map), map);
        List<HyYrtdzFVo> records = HyYrtdzFListPageByInfo.getRecords();
        // 定义当前sheet的行号
        int rowIndex = 2;
        // 定义当前sheet的编号
        int sheetIndex = 1;
        Row row;
        // 最大行数限制
        int maxRowsPerSheet = 65536; // 对于 .xls 文件，最大行数为 65536
        int batchSize = 1000; // 每次批量处理1000行，减少逐行写入的开销
        // 批量处理数据
        for (int i = 0; i < records.size(); i += batchSize) {
            // 处理一批数据
            int toIndex = Math.min(i + batchSize, records.size());
            List<HyYrtdzFVo> batchList = records.subList(i, toIndex);
            // 批量写入数据
            for (HyYrtdzFVo vo : batchList) {
                // 如果当前行数达到最大行数，创建新sheet
                if (rowIndex >= maxRowsPerSheet) {
                    sheetIndex++;
                    sheet = sheet.getWorkbook().createSheet("年潮位表" + sheetIndex);
                    rowIndex = 2; // 重置行号
                }
                // 创建新行并写入数据
                row = ExcelUtils.createRow(sheet, rowIndex);
                //序号
                ExcelUtils.formatCell(row, 0, String.valueOf(rowIndex - 1), style);
                ExcelUtils.formatCell(row, 1, vo.getStcd() != null ? vo.getStcd() : "", style);
                ExcelUtils.formatCell(row, 2, vo.getStnm() != null ? vo.getStnm() : "", style);
                ExcelUtils.formatCell(row, 3, vo.getAddvcd() != null ? vo.getAddvcd() : "", style);
                ExcelUtils.formatCell(row, 4, "", style);
                ExcelUtils.formatCell(row, 5, vo.getYr() != null ? vo.getYr().toString() : "", style);
                ExcelUtils.formatCell(row, 6, vo.getAvhtdz() != null ? CommonUtils.formatNum(vo.getAvhtdz()) : "", style);
                ExcelUtils.formatCell(row, 7, vo.getAvhtdzrcd() != null ? vo.getAvhtdzrcd() : "", style);
                ExcelUtils.formatCell(row, 8, vo.getHthtdz() != null ? CommonUtils.formatNum(vo.getHthtdz()) : "", style);
                ExcelUtils.formatCell(row, 9, vo.getHthtdzrcd() != null ? vo.getHthtdzrcd() : "", style);
                ExcelUtils.formatCell(row, 10, vo.getHthtdzotm() != null ? vo.getHthtdzotm() : "", style);
                ExcelUtils.formatCell(row, 11, vo.getLthtdz() != null ? CommonUtils.formatNum(vo.getLthtdz()) : "", style);
                ExcelUtils.formatCell(row, 12, vo.getLthtdzrcd() != null ? vo.getLthtdzrcd() : "", style);
                ExcelUtils.formatCell(row, 13, vo.getLthtdzotm() != null ? vo.getLthtdzotm() : "", style);
                ExcelUtils.formatCell(row, 14, vo.getAvltdz() != null ? CommonUtils.formatNum(vo.getAvltdz()) : "", style);
                ExcelUtils.formatCell(row, 15, vo.getAvltdzrcd() != null ? vo.getAvltdzrcd() : "", style);
                ExcelUtils.formatCell(row, 16, vo.getHtltdz() != null ? CommonUtils.formatNum(vo.getHtltdz()) : "", style);
                ExcelUtils.formatCell(row, 17, vo.getHtltdzrcd() != null ? vo.getHtltdzrcd() : "", style);
                ExcelUtils.formatCell(row, 18, vo.getHtltdzotm() != null ? vo.getHtltdzotm() : "", style);
                ExcelUtils.formatCell(row, 19, vo.getLtltdz() != null ? CommonUtils.formatNum(vo.getLtltdz()) : "", style);
                ExcelUtils.formatCell(row, 20, vo.getLtltdzrcd() != null ? vo.getLtltdzrcd() : "", style);
                ExcelUtils.formatCell(row, 21, vo.getLtltdzotm() != null ? vo.getLtltdzotm() : "", style);
                ExcelUtils.formatCell(row, 22, vo.getAvftdr() != null ? CommonUtils.formatNum(vo.getAvftdr()) : "", style);
                ExcelUtils.formatCell(row, 23, vo.getAvftdrrcd() != null ? vo.getAvftdrrcd() : "", style);
                ExcelUtils.formatCell(row, 24, vo.getMxfltdr() != null ? CommonUtils.formatNum(vo.getMxfltdr()) : "", style);
                ExcelUtils.formatCell(row, 25, vo.getMxfltdrrcd() != null ? vo.getMxfltdrrcd() : "", style);
                ExcelUtils.formatCell(row, 26, vo.getMxfltdrhtm() != null ? vo.getMxfltdrhtm() : "", style);
                ExcelUtils.formatCell(row, 27, vo.getMnfltdr() != null ? CommonUtils.formatNum(vo.getMnfltdr()) : "", style);
                ExcelUtils.formatCell(row, 28, vo.getMnfltdrrcd() != null ? vo.getMnfltdrrcd() : "", style);
                ExcelUtils.formatCell(row, 29, vo.getMnfltdrhtm() != null ? vo.getMnfltdrhtm() : "", style);
                ExcelUtils.formatCell(row, 30, vo.getAver() != null ? CommonUtils.formatNum(vo.getAver()) : "", style);
                ExcelUtils.formatCell(row, 31, vo.getAverbbrrcd() != null ? vo.getAverbbrrcd() : "", style);
                ExcelUtils.formatCell(row, 32, vo.getMxebtdr() != null ? CommonUtils.formatNum(vo.getMxebtdr()) : "", style);
                ExcelUtils.formatCell(row, 33, vo.getMxebtdrrcd() != null ? vo.getMxebtdrrcd() : "", style);
                ExcelUtils.formatCell(row, 34, vo.getMxebtdrht() != null ? vo.getMxebtdrht() : "", style);
                ExcelUtils.formatCell(row, 35, vo.getMnebtdr() != null ? CommonUtils.formatNum(vo.getMnebtdr()) : "", style);
                ExcelUtils.formatCell(row, 36, vo.getMnebtdrrcd() != null ? vo.getMnebtdrrcd() : "", style);
                ExcelUtils.formatCell(row, 37, vo.getMnebtdrhtm() != null ? vo.getMnebtdrhtm() : "", style);
                ExcelUtils.formatCell(row, 38, vo.getAvftd() != null ? vo.getAvftd().toString() : "", style);
                ExcelUtils.formatCell(row, 39, vo.getAvftdrcd() != null ? vo.getAvftdrcd() : "", style);
                ExcelUtils.formatCell(row, 40, vo.getMxfltddr() != null ? vo.getMxfltddr().toString() : "", style);
                ExcelUtils.formatCell(row, 41, vo.getMxfltddrrcd() != null ? vo.getMxfltddrrcd() : "", style);
                ExcelUtils.formatCell(row, 42, vo.getMxfltddrhtm() != null ? vo.getMxfltddrhtm() : "", style);
                ExcelUtils.formatCell(row, 43, vo.getMnfltddr() != null ? vo.getMnfltddr().toString() : "", style);
                ExcelUtils.formatCell(row, 44, vo.getMnfltddrrcd() != null ? vo.getMnfltddrrcd() : "", style);
                ExcelUtils.formatCell(row, 45, vo.getMnfltddrhtm() != null ? vo.getMnfltddrhtm() : "", style);
                ExcelUtils.formatCell(row, 46, vo.getAvebbdr() != null ? vo.getAvebbdr().toString() : "", style);
                ExcelUtils.formatCell(row, 47, vo.getAvedrc() != null ? vo.getAvedrc() : "", style);
                ExcelUtils.formatCell(row, 48, vo.getMxebtddr() != null ? vo.getMxebtddr().toString() : "", style);
                ExcelUtils.formatCell(row, 49, vo.getMxebtddrrcd() != null ? vo.getMxebtddrrcd() : "", style);
                ExcelUtils.formatCell(row, 50, vo.getMxebtddrhtm() != null ? vo.getMxebtddrhtm() : "", style);
                ExcelUtils.formatCell(row, 51, vo.getMnbtddr() != null ? vo.getMnbtddr().toString() : "", style);
                ExcelUtils.formatCell(row, 52, vo.getMnebtddrrcd() != null ? vo.getMnebtddrrcd() : "", style);
                ExcelUtils.formatCell(row, 53, vo.getMnebtddrhtm() != null ? vo.getMnebtddrhtm() : "", style);
                ExcelUtils.formatCell(row, 54, vo.getHravtdz() != null ? CommonUtils.formatNum(vo.getHravtdz()) : "", style);
                ExcelUtils.formatCell(row, 55, vo.getHravtdzrcd() != null ? vo.getHravtdzrcd() : "", style);
                ExcelUtils.formatCell(row, 56, vo.getAvtdr() != null ? CommonUtils.formatNum(vo.getAvtdr()) : "", style);
                ExcelUtils.formatCell(row, 57, vo.getAvtdrrcd() != null ? vo.getAvtdrrcd() : "", style);
                ExcelUtils.formatCell(row, 58, vo.getAvtddr() != null ? vo.getAvtddr().toString() : "", style);
                ExcelUtils.formatCell(row, 59, vo.getAvtddrrcd() != null ? vo.getAvtddrrcd() : "", style);
                ExcelUtils.formatCell(row, 60, "", style);
                rowIndex++;
            }
        }
    }

}




